<%@ Control language="c#"  Codebehind="AddPage.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.AddPage" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

    function changeSamplePreview(imageName)
    {
        var previewImage = document.getElementById("<%=previewImage.ClientID%>");
        if (previewImage)
        {
            previewImage.src = "images/resources/page/"+imageName+".gif";
        }
    }
    
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#form_content_editor/pages/pages.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="AddPageTitle" runat="server" EnableViewState="False" Text="Survey Settings"></asp:Literal></td>
	</tr>
</table>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server" ><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>

	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td valign="top">
				<table>
					<tr>
						<td nowrap class="labelStyle">
							<asp:Literal ID="PageTitleLabel" runat="server" EnableViewState="False" Text="Page title :"></asp:Literal>
						</td>
						<td width="99%">
							<asp:TextBox ID="PageTitleTextBox" runat="server" Columns="35"></asp:TextBox>
						</td>
					</tr>
						<tr>
							<td class="labelStyle">
								<asp:Literal ID="CreateFromLabel" runat="server" EnableViewState="False"></asp:Literal>
							</td>
							<td colspan="2">
								<asp:RadioButtonList RepeatDirection="Horizontal" runat="server" ID="CreationTypeRadioButton"
									OnSelectedIndexChanged="CreationTypeRadioButton_Changed" AutoPostBack="true" />
						</tr>
					<tr id="FromScratchRow" runat="server">
						<td nowrap class="labelStyle" valign="top">
							<asp:Literal ID="PageModelLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
						</td>
						<td width="99%" valign="top">
								<asp:ListBox ID="PageTypesListBox" runat="server" Rows="10"></asp:ListBox>
						</td>
					</tr>
					<tr id="FromFormTable" runat="server">
						<td nowrap class="labelStyle" valign="top">
							<asp:Literal ID="FormsPagesLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
						</td>

					<td valign="top">
						<asp:ListBox ID="FormsListBox" OnSelectedIndexChanged="FormsListBoxRadioButton_Changed" runat="server" Width="250" Rows=10 AutoPostBack="true"></asp:ListBox>
					</td>
					<td valign="top" width="99%">
						<asp:ListBox ID="FormsPagesListBox" runat="server" Width="250" Rows=10></asp:ListBox>
					</td>
					</tr>
					</table>
			</td>
			<td valign="top" width="99%">
					<img id="previewImage" runat="server" src="../images/resources/page/FlowPageLayoutWizard.gif" />
				</td>
		</tr>
	</table>

</table>
<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
<asp:Button ID="AddPageButton" runat="server" Text="Add page" OnClick="AddPageButton_Click"></asp:Button>
</td></tr></table>


</ContentTemplate>
</asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
