<%@ Control Language="c#" Codebehind="CampaignBatchDetails.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.CampaignBatchDetails" %>
<%@ Register Src="../UserControls/DynamicGridView.ascx" TagName="DynamicGridView" TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	function loadTab(sender, args)
	{
		initTab(sender, args);
	}
	
	function initTab(sender, args)
	{
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;

		var panelBody = $get('<%=CampaignTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250)
		{
			panelBody.style.height = "250px";
		}
		else
		{
			panelBody.style.height = scrollHeight + "px";
		}
	}

</script>

<table class="adminTitle" >
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Campaigns/Campaigns.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="CampaignBatchTitle" runat="server" EnableViewState="False"></asp:Literal>
	</tr>
</table>

<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td valign="top">
			<ajaxToolkit:TabContainer runat="server" ID="CampaignTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="loadTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="SentTabPanel" HeaderText="Sent">
					<ContentTemplate>
						<table>
							<tr>
								<td style="font-size: 0.7em">
									<uc1:DynamicGridView ID="SentDynamicGridView" runat="server" />
									<input type="button" id="DeleteEntries" value="<%=GetPageResource("DeleteRequestButton")%>"
										onclick="deleteSentEntries()" />
									<input type="button" id="ChangeStatusSentButton" runat="server" />
									<asp:Button ID="DeleteCampaign3" runat="server" OnClick="DeleteCampaign_Click" />
								</td>
							</tr>
						</table>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="QueueTabPanel" HeaderText="Queue">
					<ContentTemplate>
						<table>
							<tr>
								<td style="font-size: 0.7em">
									<uc1:DynamicGridView ID="QueueDynamicGridView" runat="server" />
									<input type="button" id="DeleteQueueEntries" value="<%=GetPageResource("DeleteRequestButton")%>"
										onclick="deleteQueueEntries()" />
									<input type="button" id="ChangeStatusButton" runat="server" />
									<asp:Button ID="DeleteCampaign2" runat="server" OnClick="DeleteCampaign_Click" />
								</td>
							</tr>
						</table>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="ErrorTabPanel" HeaderText="Errors">
					<ContentTemplate>
						<table>
							<tr>
								<td valign="top" style="font-size: 0.7em">
									<uc1:DynamicGridView ID="ErrorDynamicGridView" runat="server" />
									<input type="button" id="DeleteErrorEntries" value="<%=GetPageResource("DeleteRequestButton")%>"
										onclick="deleteErrorEntries()" />
									<input type="button" id="ChangeStatusResendError" runat="server" />
									<asp:Button ID="DeleteCampaign" runat="server" OnClick="DeleteCampaign_Click" />
								</td>
							</tr>
						</table>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>


<script type="text/javascript">

	var reloadGrid;

	function deleteSentEntries()
	{
		if(confirm('<%=GetPageResource("DeleteMailingMemberQueueConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.DeleteCampaignSelections(
				GetSelectedIds<%=SentDynamicGridView.ClientID%>(), <%=_campaignId%>, deleteSentEntries_callback);
	}

	function deleteSentEntries_callback(res) 
	{
		ReloadGrid<%=SentDynamicGridView.ClientID%>()
	}

	function deleteErrorEntries()
	{
		if(confirm('<%=GetPageResource("DeleteMailingMemberQueueConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.DeleteCampaignSelections(
				GetSelectedIds<%=ErrorDynamicGridView.ClientID%>(), <%=_campaignId%>, deleteErrorEntries_callback);
	}

	function deleteErrorEntries_callback(res) 
	{
		ReloadGrid<%=ErrorDynamicGridView.ClientID%>()
	}

	function deleteQueueEntries()
	{
		if(confirm('<%=GetPageResource("DeleteMailingMemberQueueConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.DeleteCampaignSelections( 
				GetSelectedIds<%=QueueDynamicGridView.ClientID%>(), <%=_campaignId%>, deleteQueueEntries_callback);
	}

	function deleteQueueEntries_callback(res) 
	{
		ReloadGrid<%=QueueDynamicGridView.ClientID%>()
	}	
	
	function ChangeEntriesStatus(status)
	{
		if(confirm('<%=GetPageResource("ChangeMailingMemberStatusConfirmationMessage")%>')== false) return false;
		
		DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.ChangeCampaignQueueStatus(GetSelectedIds<%=QueueDynamicGridView.ClientID%>(), 
			status, <%=_campaignId%>, changeQueueEntries_callback);
			
		return false;
	}

	function changeQueueEntries_callback(res) 
	{
		ReloadGrid<%=QueueDynamicGridView.ClientID%>();
		reloadGrid = 1;
	}

	
	function ChangeErrorEntriesStatus(status)
	{
		if(confirm('<%=GetPageResource("ChangeMailingMemberStatusConfirmationMessage")%>')== false) return false;
		
		DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.ChangeCampaignQueueStatus(GetSelectedIds<%=ErrorDynamicGridView.ClientID%>(), 
			status, <%=_campaignId%>, changeErrorEntries_callback);
			
		return false;
	}

	function changeErrorEntries_callback(res) 
	{
		ReloadGrid<%=ErrorDynamicGridView.ClientID%>();
		reloadGrid = 2;
	}

	function ChangeSentEntriesStatus(status)
	{
		if(confirm('<%=GetPageResource("ChangeMailingMemberStatusConfirmationMessage")%>')== false) return false;
		
		DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.ChangeCampaignQueueStatus(GetSelectedIds<%=SentDynamicGridView.ClientID%>(), 
			status, <%=_campaignId%>, changeSentEntries_callback);
			
		return false;
	}

	function changeSentEntries_callback(res) 
	{
		ReloadGrid<%=SentDynamicGridView.ClientID%>();
		reloadGrid = 2;
	}

	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager)
	{
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) 
		{
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

    function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		if (reloadGrid == 1)
		{
			ReloadGrid<%=SentDynamicGridView.ClientID%>();
		}
		else if (reloadGrid == 2)
		{
			ReloadGrid<%=QueueDynamicGridView.ClientID%>();
		}
		else if (reloadGrid == 3)
		{
			ReloadGrid<%=ErrorDynamicGridView.ClientID%>();
		}
		
		reloadGrid = null;

		indicateEndProcess();
	}


</script>