<%@ Control Language="c#" CodeBehind="CreateSurvey.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.CreateSurvey" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<script type="text/javascript">
	function changeSamplePreview(index) {

		var previewImage = document.getElementById("previewImage");
		if (previewImage) {
			previewImage.src = previewArray[index] ? previewArray[index] : 'images/spacer.gif';
		}
	}
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_Management/General_settings.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="SurveySettingsTitle" runat="server" EnableViewState="False" Text="Survey Settings"></asp:Literal>
		</td>
	</tr>
</table>
<asp:UpdatePanel ID="SurveyHomeUpdatePanel" runat="server">
	<Triggers>
		<asp:PostBackTrigger ControlID="ImportXMLButton" />
	</Triggers>
	<ContentTemplate>
		<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td>
					<table>
						<tr>
							<td class="labelStyle">
								<asp:Literal ID="SurveyCreateTitleLabel" runat="server" EnableViewState="False"></asp:Literal>
							</td>
							<td colspan="2">
								<asp:TextBox ID="CreateTitleTextBox" runat="server" Columns="40"></asp:TextBox>
							</td>
						</tr>
						<tr>
							<td class="labelStyle">
								<asp:Literal ID="CreateFromLabel" runat="server" EnableViewState="False"></asp:Literal>
							</td>
							<td colspan="2">
								<asp:RadioButtonList RepeatDirection="Horizontal" runat="server" ID="CreationTypeRadioButton"
									OnSelectedIndexChanged="CreationTypeRadioButton_Changed" AutoPostBack="true" />
						</tr>
						<tr id="SurveyStyleRow" runat="server">
							<td nowrap class="labelStyle" valign="top">
								<asp:Literal ID="StyleLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
							</td>
							<td>
								<asp:ListBox ID="StyleListBox" Rows="8" Width="250" Height="200" runat="server">
								</asp:ListBox>
							</td>
							<td width="95%" valign="top">
								<table border="0" cellpadding="0" cellspacing="0" style="width: 253px; height: 200px;
									background-image: url('images/resources/styles/notavailablestyle.gif')">
									<tr>
										<td valign="top">
											<img id="previewImage" style="margin-left: 16px; margin-top: 14px" width="220" height="160"
												src="" />
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<asp:PlaceHolder ID="SurveyImportPlaceHolder" runat="server">
							<tr>
								<td class="labelStyle">
									<asp:Literal ID="XmlFileLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td width="99%">
									<input id="ImportFile" type="file" name="ImportFile" runat="server">
								</td>
							</tr>
						</asp:PlaceHolder>
						<asp:PlaceHolder ID="TemplateImportPlaceHolder" runat="server">
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="CategoryLabel" runat="server" EnableViewState="true"></asp:Literal>
								</td>
								<td width="99%">
									<asp:DropDownList ID="TemplateCategoriesDropDownList" runat="server" AutoPostBack="true"
										OnSelectedIndexChanged="TemplateCategoriesDropDownList_SelectedIndexChanged">
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="SurveyTemplatesLabel" runat="server" EnableViewState="true"></asp:Literal>
								</td>
								<td width="99%">
									<asp:DropDownList ID="SurveyTemplatesDropdownlist" runat="server">
									</asp:DropDownList>
								</td>
							</tr>
						</asp:PlaceHolder>
						<tr>
							<td nowrap class="labelStyle" valign="top">
								<asp:Literal ID="EnableSecurityLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
							</td>
							<td colspan="2">
								<asp:ListBox ID="SecurityAddInListBox" Rows="8" Width="250" runat="server"></asp:ListBox>
							</td>
						</tr>
				</td>
			</tr>
		</table>
		</table>
		<table>
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Button ID="CreateSurveyButton" runat="server" OnClick="CreateSurveyButton_Click" />
					<asp:Button ID="ImportXMLButton" runat="server" Text="Import XML" OnClick="ImportXMLButton_Click">
					</asp:Button>
					<asp:Button ID="CreateTemplateButton" runat="server" Text="Create survey from template"
						OnClick="CreateTemplateButton_Click"></asp:Button>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="SurveyHomeUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
