<%@ Control Language="c#" CodeBehind="EditMatrixQuestion.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditMatrixQuestion" %>
<%@ Register Src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" TagName="RichTextBox"
	TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Register TagPrefix="uc1" TagName="SkipQuestionCondition" Src="..\usercontrols\SkipQuestionConditions.ascx" %>
<%@ Register Src="../UserControls/MetaDataValues.ascx" TagName="MetaValues" TagPrefix="uc1" %>

<script language="javascript">

	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(onEndHandler);

	function onEndHandler(sender, args) {
		resizeContainer($find('<%=QuestionTabs.ClientID%>'));
	}

	function initTab(sender, args) {
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args) {
		if (!sender)
			return;

		var panelBody = $get('<%=QuestionTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250) {
			panelBody.style.height = "250px";
		}
		else {
			panelBody.style.height = scrollHeight + "px";
		}
	}

	function deleteElement() {
		if (confirm('<%=GetPageResource("DeleteQuestionConfirmationMessage")%>') == false)
			return false;

		parent.getFormEditor().selectedElement.onPropertiesDeletedCallBack();
		return false;
	}

	function cancelUpdate() {
		parent.getFormEditor().selectedElement.onPropertiesCanceledCallBack();
		return false;
	}

	function switchToMetaDataTab()
	{
		var ctrl = $find('<%=QuestionTabs.ClientID%>'),
			tabs = ctrl.get_tabs();
		ctrl.set_activeTab(tabs[tabs.length-1]);
	}	
</script>

<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<ajaxToolkit:TabContainer runat="server" ID="QuestionTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab" On HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel ID="PageUpdatePanel" UpdateMode="Conditional" ChildrenAsTriggers="true"  runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
											<table>
												<tr>
													<td colspan="2">
														<uc1:RichTextBox ID="QuestionFreeTextBox" runat="server" Height="250"></uc1:RichTextBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
													</td>
													<td width="80%">
														<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="ColumnHeaderRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="MatrixColumnHeaderLabel" runat="server" EnableViewState="False">Column header
                  :</asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="MatrixColumnHeaderTextBox" runat="server" Columns="62"></asp:TextBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="QuestionRowWidthLabel" runat="server" EnableViewState="False" />
													</td>
													<td>
														<asp:TextBox ID="QuestionRowWidthTextBox" runat="server" Columns="4"></asp:TextBox>
													</td>
												</tr>
												<tr id="CalculationModeRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="CalculationModeLabel" runat="server" Text="Calculation Mode:"></asp:Literal>
													</td>
													<td width="80%">
														<asp:DropDownList ID="CalculationModeDropDownList" runat="server">
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="SelectionTypeRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="SelectionTypeLabel" runat="server" EnableViewState="False">
                  :</asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="SelectionTypeDropDownList" runat="server"></asp:DropDownList>
													</td>
												</tr>
											<tr id="SelectionErrorDisplayTypeRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="SelectionErrorDisplayTypeLabel" runat="server" EnableViewState="False">
                  :</asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="SelectionErrorDisplayDropDownList" runat="server"></asp:DropDownList>
													</td>
												</tr>


												<tr id="RandomizeRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="RandomizeRowsLabel" runat="server" EnableViewState="False">Randomize rows
                  :</asp:Literal>
													</td>
													<td>
														<asp:CheckBox ID="RandomizeRowsCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr id="DisabledQuestionRow" runat="server">
													<td valign="top" nowrap class="labelStyle">
														<asp:Literal ID="DisabledQuestionLabel" EnableViewState="False" runat="server"></asp:Literal>
													</td>
													<td>
														<asp:CheckBox ID="DisabledQuestionCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr id="AnswerRatingRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="AnswerRatingLabel" runat="server" EnableViewState="False">Enable answer rating:</asp:Literal>
													</td>
													<td>
														<asp:CheckBox ID="RatingCheckbox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr id="MinSelectionRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="MinSelectionMatrixLabel" runat="server" EnableViewState="False"></asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="MinSelectionDropDownList" runat="server">
															<asp:ListItem Value="1">1</asp:ListItem>
															<asp:ListItem Value="2">2</asp:ListItem>
															<asp:ListItem Value="3">3</asp:ListItem>
															<asp:ListItem Value="4">4</asp:ListItem>
															<asp:ListItem Value="5">5</asp:ListItem>
															<asp:ListItem Value="6">6</asp:ListItem>
															<asp:ListItem Value="7">7</asp:ListItem>
															<asp:ListItem Value="8">8</asp:ListItem>
															<asp:ListItem Value="9">9</asp:ListItem>
															<asp:ListItem Value="10">10</asp:ListItem>
															<asp:ListItem Value="11">11</asp:ListItem>
															<asp:ListItem Value="12">12</asp:ListItem>
															<asp:ListItem Value="13">13</asp:ListItem>
															<asp:ListItem Value="14">14</asp:ListItem>
															<asp:ListItem Value="15">15</asp:ListItem>
															<asp:ListItem Value="16">16</asp:ListItem>
															<asp:ListItem Value="17">17</asp:ListItem>
															<asp:ListItem Value="18">18</asp:ListItem>
															<asp:ListItem Value="19">19</asp:ListItem>
															<asp:ListItem Value="20">20</asp:ListItem>
														</asp:DropDownList>
													</td>
												</tr>
												<tr id="MaxSelectionRow" runat="server">
													<td nowrap class="labelStyle">
														<asp:Literal ID="MaxSelectionMatrixAllowedLabel" runat="server" EnableViewState="False"></asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="MaxAllowedDropDownList" runat="server">
															<asp:ListItem Value="1">1</asp:ListItem>
															<asp:ListItem Value="2">2</asp:ListItem>
															<asp:ListItem Value="3">3</asp:ListItem>
															<asp:ListItem Value="4">4</asp:ListItem>
															<asp:ListItem Value="5">5</asp:ListItem>
															<asp:ListItem Value="6">6</asp:ListItem>
															<asp:ListItem Value="7">7</asp:ListItem>
															<asp:ListItem Value="8">8</asp:ListItem>
															<asp:ListItem Value="9">9</asp:ListItem>
															<asp:ListItem Value="10">10</asp:ListItem>
															<asp:ListItem Value="11">11</asp:ListItem>
															<asp:ListItem Value="12">12</asp:ListItem>
															<asp:ListItem Value="13">13</asp:ListItem>
															<asp:ListItem Value="14">14</asp:ListItem>
															<asp:ListItem Value="15">15</asp:ListItem>
															<asp:ListItem Value="16">16</asp:ListItem>
															<asp:ListItem Value="17">17</asp:ListItem>
															<asp:ListItem Value="18">18</asp:ListItem>
															<asp:ListItem Value="19">19</asp:ListItem>
															<asp:ListItem Value="20">20</asp:ListItem>
														</asp:DropDownList>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="ReportingAliasLabel" runat="server" EnableViewState="False">Reporting alias 
                  :</asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="ReportingAliasTextBox" runat="server" MaxLength="50"></asp:TextBox>
													</td>
												</tr>
											</table>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="DisplayTabPanel" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel1" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<table width="100%" border="0">
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="RotateMatrixRowsColumnsLabel" EnableViewState="False" runat="server"></asp:Literal>
													</td>
													<td width="99%">
														<asp:CheckBox ID="RotateMatrixRowsColumnsCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="HideValidationAsterixLabel" EnableViewState="False" runat="server">Allow panelist creation :</asp:Literal>
													</td>
													<td>
														<asp:CheckBox ID="HideValidationAsterixCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="RepeatTab" HeaderText="Sections">
					<ContentTemplate>
						<asp:UpdatePanel ID="RepeateUpdatePanel" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="AllowMultipleMatrixSectionsLabel" runat="server" EnableViewState="False"
															Text="Repeatable matrix section :"></asp:Literal>
													</td>
													<td width="99%">
														<asp:CheckBox ID="RepeatSectionCheckbox" runat="server" AutoPostBack="True" OnCheckedChanged="RepeatSectionCheckbox_CheckedChanged">
														</asp:CheckBox>
													</td>
												</tr>
												<asp:PlaceHolder ID="RepeatSectionOptionPlaceholder" runat="server">
													<tr>
														<td nowrap nowrap class="labelStyle">
															<asp:Literal ID="AddRepeatSectionLabel" runat="server">Add section link text 
                  :</asp:Literal>
														</td>
														<td>
															<asp:TextBox ID="AddSectionLinkTextBox" runat="server"></asp:TextBox>
														</td>
													</tr>
													<tr>
														<td nowrap nowrap class="labelStyle">
															<asp:Literal ID="DeleteRepeatSectionLabel" runat="server">Delete section link 
                  text :</asp:Literal>
														</td>
														<td>
															<asp:TextBox ID="DeleteSectionLinkTextBox" runat="server"></asp:TextBox>
														</td>
													</tr>
												</asp:PlaceHolder>
											</table>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="SkipLogicTabPanel" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel2" runat="server">
							<ContentTemplate>
								<uc1:SkipQuestionCondition runat="server" ID="SkipQuestionConditionControl" />
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="MetaDataTabPanel" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel4" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
								<tr>
								<td>
								<uc1:MetaValues ID="MetaValuesControl" runat="server" />
								</td>
								</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>
<asp:UpdatePanel ID="ButtonUpdatePanel" runat="server">
	<Triggers>
		<asp:PostBackTrigger ControlID="ExportXMLButton" />
		<asp:PostBackTrigger ControlID="UpdateQuestionButton" />
		<asp:PostBackTrigger ControlID="DeleteQuestionButton" />
	</Triggers>
	<ContentTemplate>
		<table border="0" width="100%">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Button ID="UpdateQuestionButton" runat="server" Text="Update" OnClick="UpdateQuestionButton_Click">
					</asp:Button>
					<asp:Button ID="DeleteQuestionButton" runat="server" Text="Delete" OnClick="DeleteQuestionButton_Click">
					</asp:Button>
					<asp:Button ID="ExportXMLButton" runat="server" Text="Export XML" OnClick="ExportXMLButton_Click">
					</asp:Button>
					<asp:Button ID="QuickTranslateButton" runat="server" Text="Quick Translate" OnClick="QuickTranslateButton_Click">
					</asp:Button>
					<asp:Button ID="CancelButton" runat="server"></asp:Button>
				</td>
				</td></tr>
		</table>
		<br />
	</ContentTemplate>
</asp:UpdatePanel>
						<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
							TargetControlID="ButtonUpdatePanel">
							<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
							</Animations>
						</ajaxToolkit:UpdatePanelAnimationExtender>