<%@ Control Language="c#" Codebehind="FolderManager.ascx.cs" AutoEventWireup="True"
    Inherits="DataIllusion.FeedbackServer.WebAdmin.FolderManager" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
    
<asp:UpdatePanel runat="server" ID="PageUpdatePanel"><ContentTemplate>
<asp:PlaceHolder ID="FolderSettingsPlaceHolder" runat="server">
<table class="adminTitle">
        <tr>
            <td >
                <a href="help/FeedbackServer.htm#Folder/Folders.htm" target="feedbackserverhelp">
                    <img src="images/helpicon.gif" border="0"></a></td>
            <td width="99%">
                <asp:Literal ID="FolderManagementTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
        </tr>
    </table>
<table class="settingsTable">
        <tr>
            <td>
                &nbsp;&nbsp;
            </td>
            <td width="99%">
                <asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
                <table>
                    <tr>
                        <td class="labelStyle">
                            <asp:Literal ID="FolderNameLabel" runat="server" Text="Folder name :" EnableViewState="False"></asp:Literal></strong></td>
                        <td>
                            <asp:TextBox Columns="40" ID="SurveyFolderNameTextBox" runat="server" MaxLength="100"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="labelStyle">
                            <asp:Literal ID="SortTypeLabel" runat="server" Text="Sort type :" EnableViewState="False"></asp:Literal></strong></td>
                        <td>
                            <asp:DropDownList ID="SortTypeDropDownList" runat="server">
                            </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td class="labelStyle">
                            <asp:Literal ID="InheritsAccessLabel" runat="server" Text="Childs inherit users and group access"
                                EnableViewState="False"></asp:Literal></strong></td>
                        <td width="99%">
                            <asp:CheckBox ID="InheritsAccessCheckBox" runat="server" />
                        </td>
                    </tr>
                </table>
                <br/>
                <asp:Button ID="AddFolderButton" runat="server" Text="Add folder" OnClick="AddFolderButton_Click">
                </asp:Button>
                <asp:Button ID="RestoreButton" runat="server" Text="Restore folder" OnClick="RestoreFolderButton_Click">
                </asp:Button>
                <asp:Button ID="UpdateFolderButton" runat="server" Text="Update folder" OnClick="UpdateFolderButton_Click">
                </asp:Button>
                <asp:Button ID="DeleteFolderButton" runat="server" Text="Delete folder" OnClick="DeleteFolderButton_Click">
                </asp:Button>
                <asp:Button ID="DeleteFolderSurveysButton" runat="server" Text="Delete All Folder Surveys"
                    OnClick="DeleteFolderSurveysButton_Click"></asp:Button>
                <br/>
                <br/>
                <br/>
            </td>
        </tr>
    </table>
</asp:PlaceHolder>
<asp:PlaceHolder ID="TrashcanSettingsPlaceHolder" runat="server">
<table class="adminTitle">
        <tr>
            <td>
                <a href="help/FeedbackServer.htm#Folder/Folders.htm" target="feedbackserverhelp">
                    <img src="images/helpicon.gif" border="0"></a></td>
            <td width="99%">
                <asp:Literal ID="TrashcanSettingsLabel" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
        </tr>
    </table>
<table class="settingsTable">
        <tr>
            <td>
                &nbsp;&nbsp;
            </td>
            <td width="99%">
                <table>
                    <tr>
                        <td class="labelStyle">
                            <asp:Literal ID="SurveyRetentionCountLabel" runat="server" Text="Max. survey number :"
                                EnableViewState="False"></asp:Literal></strong></td>
                        <td width="99%">
                            <asp:TextBox ID="RetentionCountTextBox" Columns="4" runat="server"></asp:TextBox></td>
                        <asp:CompareValidator ControlToValidate="RetentionCountTextBox" ID="RetentionCompareValidator"
                            runat="server" ValidationGroup="TrashValidation" Type="Integer" Display="Dynamic"
                            Operator="DataTypeCheck"></asp:CompareValidator>
                    </tr>
                </table>
                <br>
                <asp:Button ID="TrashcanUpdateButton" ValidationGroup="TrashValidation" runat="server"
                    Text="Update" OnClick="UpdateTrashcanFolderButton_Click"></asp:Button>
                <asp:Button ID="EmptyTrashcanButton" runat="server" Text="Emtpy Trashcan" OnClick="EmptyTrashcanFolderButton_Click">
                </asp:Button>
                <br/>
                <br/>
                <br/>
            </td>
        </tr>
    </table>
</asp:PlaceHolder>
<asp:PlaceHolder ID="SurveyFolderPlaceHolder" runat="server">

<table class="adminTitle">
        <tr>
            <td style="height: 30px">
                <a href="help/FeedbackServer.htm#Folder/Folders.htm" target="feedbackserverhelp">
                    <img src="images/helpicon.gif" border="0"></a></td>
            <td width="99%" style="height: 30px">
                <asp:Literal ID="FolderSurveyListLabel" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
        </tr>
    </table>
<table class="settingsTable">
        <tr>
            <td>
                &nbsp;&nbsp;
            </td>
            <td width="99%">
                <asp:GridView ID="FolderSurveyGridView" runat="server" AllowSorting="True" AutoGenerateColumns="False"
                    CssClass="TableGrid" OnRowDeleting="FolderSurveyGridView_RowDeleting" OnSorting="FolderSurveyGridView_Sorting"
                    OnRowDataBound="FolderSurveyGridView_RowDataBound" CellPadding="6">
                    <Columns>
                        <asp:CommandField ItemStyle-Width="5" ShowDeleteButton="True" />
                        <asp:HyperLinkField ItemStyle-Width="250" DataNavigateUrlFields="SurveyId" DataTextField="Title"
                            SortExpression="Title" />
                        <asp:BoundField DataField="CreationDate" HtmlEncode="false" DataFormatString="{0:u}"
                            SortExpression="CreationDate" />
                        <asp:BoundField DataField="LastEntryDate" HtmlEncode="false" DataFormatString="{0:u}"
                            SortExpression="LastEntryDate" />
                        <asp:BoundField DataField="SurveyStatusId" HtmlEncode="false" SortExpression="SurveyStatusId" />
                    </Columns>
                    <RowStyle CssClass="TableListRow" />
                    <AlternatingRowStyle CssClass="TableAlternatingListRow" />
                    <HeaderStyle CssClass="TableGridHeader" />
                </asp:GridView>
            </td>
        </tr>
        <tr>
        <td>&nbsp;</td>
        <td>
<asp:Button ID="DeleteRootFolderSurveysButton" runat="server" Text="" OnClick="DeleteFolderSurveysButton_Click">
</asp:Button>
        
        </td>
        </tr>
    </table>


</asp:PlaceHolder>
</ContentTemplate></asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 