<%@ Control Language="c#" CodeBehind="MediaManager.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.MediaManager" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Register TagPrefix="uc1" TagName="MediaGalleryControl" Src="../UserControls/MediaGallery.ascx" %>
<asp:UpdatePanel runat="server" ID="PageUpdatePanel">
	<ContentTemplate>

		<asp:PlaceHolder ID="FolderSettingsPlaceHolder" runat="server">
			<table class="adminTitle">
				<tr>
					<td><a href="help/FeedbackServer.htm#Media_library.htm" target="feedbackserverhelp">
							<img src="images/helpicon.gif" border="0"></a></td>
					<td width="99%">
						<asp:Literal ID="FolderManagementTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
					</td>
				</tr>
			</table>
			<table class="settingsTable">
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
						<table>
							<tr>
								<td class="labelStyle">
									<asp:Literal ID="FolderNameLabel" runat="server" Text="Folder name :" EnableViewState="False"></asp:Literal></strong>
								</td>
								<td>
									<asp:TextBox Columns="40" ID="FolderNameTextBox" runat="server" MaxLength="100"></asp:TextBox>
								</td>
							</tr>
							<tr id="BuiltInRow" runat="server">
								<td class="labelStyle">
									<asp:Literal ID="BuiltInLabel" runat="server" Text="" EnableViewState="False"></asp:Literal></strong>
								</td>
								<td width="99%">
									<asp:Checkbox ID="BuiltInCheckbox" runat="server"></asp:Checkbox>
								</td>
							</tr>

						</table>
						<br />
						<asp:Button ID="AddFolderButton" runat="server" Text="Add folder" OnClick="AddFolderButton_Click">
						</asp:Button>
						<asp:Button ID="UpdateFolderButton" runat="server" Text="Update folder" OnClick="UpdateFolderButton_Click">
						</asp:Button>
						<asp:Button ID="DeleteFolderButton" runat="server" Text="Delete folder" OnClick="DeleteFolderButton_Click">
						</asp:Button>
						<br>
						<br>
						<br>
					</td>
				</tr>
			</table>
		</asp:PlaceHolder>
	</ContentTemplate>
</asp:UpdatePanel>
		
<asp:PlaceHolder ID="GalleryPlaceHolder" runat="server">
	<table class="adminTitle">
		<tr>
			<td><a href="help/FeedbackServer.htm#Media_library.htm" target="feedbackserverhelp"><img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="FolderMediasTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
			</td>
		</tr>
	</table>
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">
				<uc1:MediaGalleryControl ID="MediaGalleryControl" runat="server"></uc1:MediaGalleryControl>
			</td>
		</tr>
	</table>
</asp:PlaceHolder>
		

<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
