<%@ Control Language="c#" Codebehind="MessagesManager.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.MessagesEditor" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<table class="adminTitle" >
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#MultiLanguage/System_messages.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="MessagesManagerTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:UpdatePanel runat="server" ID="PageUpdatePanel"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table>
				<tr>
					<td nowrap class="labelStyle">
							<asp:Label ID="TranslationLanguageLabel" runat="server" EnableViewState="False">Translation into :</asp:Label>
					</td>
					<td width="99%">
						<asp:DropDownList ID="TranslationLanguageDropDownList" runat="server" AutoPostBack="True" onselectedindexchanged="TranslationLanguageDropDownList_SelectedIndexChanged">
						</asp:DropDownList>
					</td>
				</tr>
                <tr>
                    <td nowrap colspan="2" class="labelStyle">
                    </td>
                </tr>

</table></td></tr> </table>
                        <asp:PlaceHolder Visible="False" runat="server" ID="TranslationOptionPlaceHolder">

<table class="settingsTable">
    <tr>
        <td>
            &nbsp;&nbsp;
        </td>
        <td>
            <table>
                <tr>
                    <td valign="top" nowrap class="labelStyle">
                        <asp:Label ID="WebApplicationLanguageLabel" runat="server">Web server's application language :</asp:Label>
                    </td>
                    <td width="99%">
                        <asp:Label ID="WebAppplicationLangLabel" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td valign="top" nowrap class="labelStyle">
                        <asp:Label ID="PercentTranslatedLabel" runat="server">Percent translated into {0} :</asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="PercentTranslatedMessages" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<br />
<table class="adminTitle" >
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#MultiLanguage/System_messages.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="MessagesTranslatorTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table>
				<tr>
					<td nowrap colspan="2">
						<asp:DropDownList ID="FilterTypeDropDownList" runat="server" AutoPostBack="True" onselectedindexchanged="FilterTypeDropDownList_SelectedIndexChanged">
							<asp:ListItem Value="1">Show all</asp:ListItem>
							<asp:ListItem Value="2">Show translated</asp:ListItem>
							<asp:ListItem Value="3">Show untranslated</asp:ListItem>
						</asp:DropDownList>
						<asp:DropDownList ID="MessagesTypeDropDownList" runat="server" AutoPostBack="True" onselectedindexchanged="MessagesTypeDropDownList_SelectedIndexChanged">
							<asp:ListItem Value="2">Control messages</asp:ListItem>
							<asp:ListItem Value="1">Admin messages</asp:ListItem>
							<asp:ListItem Value="3">Javascript messages</asp:ListItem>
						</asp:DropDownList>
					</td>
				</tr>
				<tr>
					<td valign="top" width="300">
						<asp:ListBox ID="LanguageKeysListBox" runat="server" AutoPostBack="True" Rows="12" onselectedindexchanged="LanguageKeysListBox_SelectedIndexChanged"></asp:ListBox>
					</td>
					<td valign="top">
						<table nowrap>
							<tr>
								<td nowrap class="labelStyle">
										<asp:Label ID="OriginalTextLabel" runat="server" EnableViewState="False">Original default text</asp:Label><br>
									<asp:TextBox ID="OriginalTextBox" runat="server" TextMode="MultiLine" Rows="5" ReadOnly="True"
										Columns="40"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td valign="top" nowrap class="labelStyle"><asp:Label ID="TranslationChoiceLabel" runat="server" EnableViewState="False"></asp:Label>
									<br/>
									<asp:TextBox ID="TransaltedTextBox" runat="server" TextMode="MultiLine" Rows="5"
										Columns="40"></asp:TextBox>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<br>
						<asp:Button ID="UpdateLanguageButton" runat="server" Text="Update language" onclick="UpdateLanguageButton_Click"></asp:Button><asp:Button
							ID="DeleteMessageButton" Visible="False" runat="server" Text="Delete message" onclick="DeleteMessageButton_Click"></asp:Button><asp:Button
								ID="SyncCode2Button" runat="server" Text="Syncronize language code 2" onclick="Button2_Click"></asp:Button>
					</td>
				</tr>
			</table>
		</td>
	</tr></table>
	</asp:PlaceHolder>

</ContentTemplate> </asp:UpdatePanel>	

          <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

