<%@ Control Language="c#" Codebehind="PopUpDeployment.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PopUpDeployment" %>
<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Deployment/Popup_windows.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="PopupDeploymentTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td nowrap>
			<asp:Literal ID="PopupLinkInfo" runat="server" Text="You may copy &amp; paste the code below anywhere on the page that should show the popup to your visitors."
				EnableViewState="False"></asp:Literal><br>
			<table>
				<tr>
					<td>
						<textarea rows="4" cols="65"><script>
document.write('<script src="<%=GetSurveyLink()%>?surveyid=<%=GetSurveyUId()%>&host=<%=GetHost()%><%=GetQueryStringVariable()%>&amp;session='+Math.random()+'"><\/script>');
<asp:placeholder id="QueryStringPlaceHolder" runat="server">
function getQueryValue() 
{ 
  var query = window.location.search.substring(1); 
  var vars = query.split("&amp;"); 
  for (var i=0;i<vars.length;i++) 
  { 
    var pair = vars[i].split("="); 
    if (pair[0] == '<%=DataIllusion.FeedbackServer.Helpers.XSSHelper.HtmlEncode(VariableNameTextBox.Text)%>') 
    { 
      return pair[1]; 
    } 
  }
  return '';  
}</asp:placeholder></script></textarea>
					</td>
				</tr>
			</table>
			<br>
		</td>
	</tr>
</table>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Deployment/Popup_windows.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="PopUpSettingsTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table>
				<tr>
					<td nowrap class="labelStyle">
							<asp:Literal ID="PopupFrequencyLabel" runat="server" Text="Show popup every :" EnableViewState="False"></asp:Literal></td>
					<td width="99%">
						<asp:TextBox ID="FrequencyTextBox" runat="server" Columns="4"></asp:TextBox>&nbsp;<asp:Label
							ID="FrequencyVisitLabel" runat="server">Visitors</asp:Label></td>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="OpenInNewWindowLabel" runat="server" Text="Open in new window :"
									EnableViewState="False"></asp:Literal></td>
						<td width="480">
							<asp:CheckBox ID="OpenInWindowCheckBox" runat="server"></asp:CheckBox></td>
					</tr>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal></td>
					<td>
						<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
						</asp:DropDownList></td>
				</tr>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="LanguageVariableGetFromLabel" runat="server" Text="Get language from :"></asp:Literal></td>
					<td>
						<asp:DropDownList ID="MultiLanguagesModeDropDownList" runat="server" AutoPostBack="True"
							OnSelectedIndexChanged="MultiLanguagesModeDropDownList_SelectedIndexChanged">
						</asp:DropDownList></td>
				</tr>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="VariableNameLabel" runat="server" Visible="False" Text="Variable name :"></asp:Literal></td>
					<td>
						<asp:TextBox ID="VariableNameTextBox" runat="server" Visible="False"></asp:TextBox></td>
				</tr>
				<tr>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="PopupTitleLabel" runat="server" Text="Popup title :" EnableViewState="False"></asp:Literal></td>
					<td >
						<asp:TextBox ID="PopupTitleTextBox" runat="server" Columns="40"></asp:TextBox></td>
				</tr>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="PopupSurveyLinkTextLabel" runat="server" Text="Popup survey link text :"
								EnableViewState="False"></asp:Literal></td>
					<td>
						<asp:TextBox ID="SurveyLinkTextbox" runat="server" Columns="40"></asp:TextBox></td>
				</tr>
				<tr>
					<td nowrap class="labelStyle" valign="top">
						
							<asp:Literal ID="PopupMessageLabel" runat="server" Text="Popup message :" EnableViewState="False"></asp:Literal></td>
					<td>
						<uc1:RichTextBox ID="MessageTextBox" runat="server" 
							Height="300" Width="500">
						</uc1:RichTextBox>
					</td>
				</tr>
			</table>
			<br>
			<asp:Button ID="UpdatePopupSettingsButton" runat="server" Text="Update Popup settings"
				OnClick="UpdatePopupSettingsButton_Click"></asp:Button></td>
	</tr>
</table>
</ContentTemplate></asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
<br />
