<%@ Control Language="c#" Codebehind="QuickTranslateColumn.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.QuickTranslateColumn" %>
<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

	<asp:UpdatePanel Id="AnswersUpdatePanel" runat="server">			
	<ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<table width="100%">
						<tr>
							<td>
								<asp:DataList Width="100%" ID="LanguageDataList" runat="server" OnItemDataBound="LanguageDataList_ItemDataBound" OnItemCreated="LanguageDataList_ItemCreated">
									<HeaderTemplate>
									</HeaderTemplate>
									<ItemTemplate>
										<table width="100%">
											<tr>
												<td colspan="2" class="quickTranslateHeader">
													<asp:Image ID="FlagImage" ImageAlign="Left" Width="15" Height="12" runat="server" />
													&nbsp;&nbsp;<%#GetPageResource(Eval("LanguageDescription").ToString())%>
												</td>
											</tr>
											<tr>
												<td nowrap class="labelStyle">
													<%#_parentQuestion.Questions[0].RotateMatrix ? GetPageResource("RowText") : GetPageResource("ColumnTextLabel")%>
												</td>
												<td width="99%">
													<asp:TextBox ID="AnswerTextTextBox" Columns="40" MaxLength="3999" runat="server"></asp:TextBox>
												</td>
											</tr>
										</table>
										<br />
									</ItemTemplate>
									<FooterTemplate>
									</FooterTemplate>
								</asp:DataList>
							</td>
						</tr>
					</table>
					<asp:Button ID="UpdateLanguagesButton" runat="server" OnClick="UpdateLanguagesButton_Click">
					</asp:Button>
					<asp:Button ID="CancelButton" runat="server" OnClick="CancelButton_Click"></asp:Button>
					<br />
					<br />
				</td>
			</tr>
		</table>
	</ContentTemplate></asp:UpdatePanel>


           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="AnswersUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 




