<%@ Control Language="c#" Codebehind="SurveyHome.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.SurveyHome" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 


<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_Management/Form_home.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="SurveyStatisticsTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>

<asp:UpdatePanel ID="SurveyHomeUpdatePanel" runat="server">

<ContentTemplate>

<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table border="0">
				<tr id="DescriptionRow" runat="server">
					<td colspan="2">
					<asp:Literal ID="DescriptionLiteral" runat="server"></asp:Literal>
					</td>
				</tr>
				<asp:PlaceHolder ID="StatsPlaceHolder" runat="server">
					<tr id="MOSSPostRow" runat="server">
						<td nowrap class="labelStyle">
								<asp:Literal ID="MOSSWSSListPostLabel" EnableViewState="False" runat="server">Web access link 
            :</asp:Literal></td>
						<td nowrap>
							<asp:HyperLink ID="PostAsAMOSSListHyperLink" runat="server"></asp:HyperLink></td>
					</tr>

					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="WebAccessLinkLabel" EnableViewState="False" runat="server">Web access link 
            :</asp:Literal></td>
						<td nowrap>
							<asp:HyperLink ID="WebAccessHyperLink" runat="server"></asp:HyperLink></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="SurveyStatusLabel" EnableViewState="False" runat="server">Survey status :</asp:Literal></td>
						<td>
							<asp:Label ID="SurveyStatusDescriptionLabel" runat="server"></asp:Label></td>
					</tr>

					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="SurveyCreationDateLabel" EnableViewState="False" runat="server">Creation date 
            :</asp:Literal></td>
						<td>
							<asp:Label ID="CreationDateLabel" runat="server"></asp:Label></td>
					</tr>

					<tr>
						<td class="labelStyle">
							
								<asp:Literal ID="LastSurveyEntryLabel" EnableViewState="False" runat="server">Last entry on 
            :</asp:Literal>
						</td>
						<td>
							<asp:Label ID="LastEntryDateLabel" runat="server"></asp:Label></td>
					</tr>
					<tr>
						<td class="labelStyle" height="16">
							
								<asp:Literal ID="AverageTimeLabel" EnableViewState="False" runat="server" Text="Average Response Time :"></asp:Literal></td>
						<td >
							<asp:Label ID="AverageResponseTimeLabel" runat="server"></asp:Label></td>
					</tr>
					<tr>
						<td  class="labelStyle">
							
								<asp:Literal ID="SurveyDisplayTimesLabel" EnableViewState="False" runat="server">Display times 
            :</asp:Literal>
						</td>
						<td>
							<asp:Label ID="DisplayTimesLabel" runat="server"></asp:Label></td>
					</tr>
					<tr>
						<td  class="labelStyle">
							
								<asp:Literal ID="SurveyNumberOfVotesLabel" EnableViewState="False" runat="server">Number of voters 
            :</asp:Literal>
						</td>
						<td>
							<asp:HyperLink ID="SurveyNumberOfRespondentsHyperLink" runat="server"></asp:HyperLink>
					</tr>
					<tr>
						<td class="labelStyle">
							
								<asp:Literal ID="SaveProgressEntriesLabel" EnableViewState="False" runat="server"
									Text="Unvalidated progress entries :"></asp:Literal></td>
						<td width="99%">
							<asp:HyperLink ID="UnvalidatedRespondentHyperLink" runat="server"></asp:HyperLink>&nbsp;<asp:LinkButton
								ID="DeleteSaveProgressLinkButton" OnClick="DeleteSaveProgressLinkButton_Click" runat="server">(delete all unvalidated entries)</asp:LinkButton></td>
					</tr>
				</asp:PlaceHolder>
			</table>
			<br>
			&nbsp;<asp:Button ID="TakeSurveyButton" runat="server" Text="Take survey" OnClick="TakeSurveyButton_Click"></asp:button>
			&nbsp;<asp:Button ID="ChangeSurveyStatusButton" runat="server" Text="" OnClick="ChangeStatusButton_Click"></asp:Button>
			&nbsp;<asp:Button ID="DeleteButton" runat="server" Text="Delete" OnClick="DeleteButton_Click"></asp:Button>
			<asp:Button ID="RestoreSurveyButton" runat="server" Text="Restore Survey" OnClick="RestoreSurveyButton_Click">
			</asp:Button>&nbsp;<asp:Button ID="CloneButton" runat="server" Text="Clone" OnClick="CloneButton_Click">
			</asp:Button>&nbsp;<asp:Button ID="ResetVotesButton" runat="server" Text="Reset votes!"
				OnClick="ResetVotesButton_Click"></asp:Button>&nbsp;
		</td>
	</tr>
</table>
</ContentTemplate></asp:UpdatePanel>
<asp:PlaceHolder ID="ReportsPlaceHolder" runat="server">
	<br/>
	<table class="adminTitle" cellspacing="0" cellpadding="0" width="100%" border="0">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Form_Management/Form_home.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="AvailableReportsTitle" EnableViewState="true" Text="" runat="server"></asp:Literal></td>
		</tr>
	</table>
	<table class="settingsTable">
		<tbody>
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:GridView ID="ReportsGridView" runat="server" AllowSorting="True" ShowHeader=false AutoGenerateColumns="False" OnRowDataBound="GridView_RowDataBound" CssClass="TableGrid" CellPadding="6">
                    <Columns>
                        <asp:HyperLinkField DataNavigateUrlFields="ReportId" Text="ok" />
                        <asp:HyperLinkField ItemStyle-Width="100%" DataNavigateUrlFields="ReportId" DataTextField="ReportName" />
                    </Columns>
                    <RowStyle CssClass="TableListRow" />
                    <AlternatingRowStyle CssClass="TableAlternatingListRow" />
                    <HeaderStyle CssClass="TableGridHeader" />
                </asp:GridView>
                
<br /><br />
				</td>
			</tr>
		</tbody>
	</table>
</asp:PlaceHolder>
            <ajaxToolkit:UpdatePanelAnimationExtender runat="server" TargetControlID="SurveyHomeUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
