<%@ Control Language="c#" Codebehind="TypeEditor.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.TypeEditor" %>
<%@ Register TagPrefix="uc1" TagName="TypeOptionControl" Src="../UserControls/TypeOptionControl.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Answer_types/Answer_type_editor.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="AnswerTypeBuilderTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">
				<table>
					<tr>
						<td>
							<p>
								<asp:Literal ID="TypeToEditLabel" runat="server" EnableViewState="False">Select a type to edit / view :</asp:Literal>
								<br>
								<asp:DropDownList ID="TypesDropDownList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="Type_IndexChanged">
								</asp:DropDownList>
								&nbsp;<asp:Literal ID="BuiltInTypeNotEditedLabel" runat="server" EnableViewState="False">(built in types cannot be edited)</asp:Literal>
								&nbsp;&nbsp;<asp:LinkButton ID="CleanTypesButton" OnClick="CleanTypeButton_Click" runat="server"></asp:LinkButton>
								<br />
								&nbsp;<br>
								<strong>
									<asp:HyperLink ID="CreateTypeHyperLink" runat="server"></asp:HyperLink>
								</strong>
							</p>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<uc1:TypeOptionControl ID="TypeOption" runat="server" Visible="False"></uc1:TypeOptionControl>
</ContentTemplate></asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
	<Animations>
		<OnUpdating>
			<Parallel duration="0">
            <ScriptAction Script="indicateStartProcess();" />  
            </Parallel>
            </OnUpdating>
            <OnUpdated>
				<Parallel duration="0">
					<ScriptAction Script="indicateEndProcess();" /> 
				</Parallel> 
			</OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender> 

