<%@ Control Language="c#" AutoEventWireup="True" Codebehind="DynamicGridView.ascx.cs" 
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.DynamicGridView" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 




<table width="100%">
	<tr id="FilterRow" runat="server">
		<td colspan="2">
			<table width="100%">
				<tr>
					<td align="left">
						<strong>
							<asp:PlaceHolder ID="AlphaFilterPlaceHolder" runat="server"></asp:PlaceHolder>
						</strong>
					</td>
					<td align="right">
						<strong>
							<asp:Literal ID="FilterLabel" EnableViewState="False" runat="server" Text="Filter:"></asp:Literal></strong>
						<input type="text" id="emailFilter" onkeypress="var keyCode = event.which ? event.which : event.keyCode ? event.keyCode : event.charCode; if (keyCode == 13) { reloadFiltered<%=this.ClientID%>(this.value); return false; } else return true;" />
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan="4">
			<asp:UpdatePanel ID="DataGridViewUpdatePanel" UpdateMode="Conditional" runat="server">
			<Triggers><asp:AsyncPostBackTrigger ControlID="ChangePageButton" /></Triggers>
				<ContentTemplate>

			<table width="100%">	
				<tr>
					<td width="42" valign="top">
						<asp:ImageButton id="FirstPageButton" ImageUrl="../images/resources/grid/firstpage.gif" runat="server" OnClick="FirstPageButton_Click" />
					</td>
					<td width="42" valign="top">
						<asp:ImageButton id="PreviousPageButton" ImageUrl="../images/resources/grid/previouspage.gif" runat="server" OnClick="PreviousPageButton_Click" />
					</td>
					<td>
						 <ajaxToolkit:SliderExtender
								ID="GrildSlider"
								BoundControlID="GridSlider_Display"
								Decimals="0"
								Minimum="1"
								runat="server"
								TargetControlID="slidervalue"
								Length = "500"
								EnableHandleAnimation="true"
								TooltipText="{0}">
							</ajaxToolkit:SliderExtender>

						 <asp:TextBox ID="slidervalue" runat="server"></asp:TextBox>
					</td>
					<td width="80">&nbsp;<asp:Label ID="GridSlider_Display" runat="server"></asp:Label>&nbsp;</td>
					<td width="42" valign="top">
						<asp:ImageButton id="NextPageButton" ImageUrl="../images/resources/grid/nextpage.gif" runat="server" OnClick="NextPageButton_Click" />
					</td>
					<td width="42" valign="top">
						<asp:ImageButton id="LastPageButton" ImageUrl="../images/resources/grid/lastpage.gif" runat="server" OnClick="LastPageButton_Click" />
					</td>
					<td valign="top" width="99%">
		<asp:DropDownList ID="PageSizeDropDownList" runat="server" AutoPostBack="true" OnSelectedIndexChanged="PageSizeChanged"><asp:ListItem Value="15"/>
		<asp:ListItem Value="25"/><asp:ListItem Value="50"/><asp:ListItem Value="100"/><asp:ListItem Value="250"/><asp:ListItem Value="500"/><asp:ListItem Value="1000"/></asp:DropDownList>
						</td>
				</tr>
			</table>

					<asp:GridView ID="DataGridView" DataKeyNames="ReportId"
						runat="server" AutoGenerateColumns="False" OnRowDataBound="DataGridView_RowDataBound"
						CssClass="TableGrid" CellPadding="3" ShowHeader="true" AllowSorting="true" OnSorting="OnSort">
						<Columns>
						   <asp:TemplateField HeaderStyle-Width="12px"  HeaderStyle-HorizontalAlign="Left">
								<ItemTemplate><asp:Image ID="RowLevelEditImage" Width="12px" Height="12px" ImageUrl="../images/editicon.gif" runat="server" /></ItemTemplate>
							</asp:TemplateField>
						</Columns>
						<Columns>
						   <asp:TemplateField HeaderStyle-Width="12px"  HeaderStyle-HorizontalAlign="Left">
								<ItemTemplate><asp:Image ID="RowLevelDeleteImage" Width="12px" Height="12px" ImageUrl="../images/deleteicon.gif" runat="server" /></ItemTemplate>
							</asp:TemplateField>
						</Columns>
						<Columns>
						   <asp:TemplateField HeaderStyle-Width="10px" ControlStyle-Width="1px" HeaderStyle-HorizontalAlign="Left">
								<HeaderTemplate>
									<asp:CheckBox runat="server" ID="HeaderLevelCheckBox" />
								</HeaderTemplate>
								<ItemTemplate>
									<asp:CheckBox runat="server" ID="RowLevelCheckBox" />
								</ItemTemplate>
							</asp:TemplateField>
						</Columns>
							<RowStyle CssClass="TableListRow" />
						<AlternatingRowStyle CssClass="TableAlternatingListRow" />
						<HeaderStyle CssClass="TableGridHeader" />
					</asp:GridView>
					<p align="right" style="font-weight:bold"><asp:Label ID="PageCountDisplayLabel" runat="server"></asp:Label></p>
					<asp:HiddenField ID="PageNumberField" Value="0" runat="server" />
					<asp:HiddenField ID="TotalPagesField" Value="1" runat="server" />
					<asp:HiddenField ID="FilterField" runat="server" />
					<asp:HiddenField ID="SelectedIds" runat="server" />
					<asp:LinkButton ID="ChangePageButton"  OnCommand="button_Click" runat="server" />
					<asp:Literal ID="CheckBoxIDsArray" runat="server"></asp:Literal>
				</ContentTemplate>
			</asp:UpdatePanel>
		</td>
	</tr>
</table>

