<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="ConditionRulesDisplay.ascx" %>
<%@ Control Language="c#" Codebehind="PanelViewConditions.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelViewConditions" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="ConditionRulesEditor.ascx" %>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table width="100%">
	<tr>
		<td width="99%">
			<table width="100%">
				<tr>
					<td>
						<asp:LinkButton ID="AddPanelViewConditionLinkButton" CssClass="smallText" runat="server" onclick="AddPanelViewConditionLinkButton_Click">Click here to add a new panel view condition</asp:LinkButton><asp:Repeater
							ID="PanelViewConditionRepeater" runat="server" OnItemDataBound="PanelViewConditionRepeater_ItemDataBound" OnItemCommand="PanelViewConditionRepeater_ItemCommand">
							<ItemTemplate>
								<table class="conditionBuilder">
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td>
														<table class="panelViewConditionList" cellpadding="2">
															<tr>
																<td colspan="2">
																	<table width="100%" class="panelViewConditionOptions">
																		<tr>
																			<td align="right">
																				<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																					runat="server">
																									<%#GetPageResource("EditConditionHyperLink")%>
																				</asp:LinkButton>&nbsp;|&nbsp;
																				<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																					runat="server">
																									<%#GetPageResource("DeleteConditionsHyperLink")%>
																				</asp:LinkButton>&nbsp;|&nbsp;
																				<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" runat="server">
																									<%#GetPageResource("InsertConditionsHyperLink")%>
																				</asp:LinkButton></td>
																		</tr>
																	</table>
																</td>
													</td>
												</tr>
												<tr>
													<td>
														&nbsp;&nbsp;</td>
													<td width="99%">
														<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
														<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								</td> </tr> </table>
								<br>
							</ItemTemplate>
						</asp:Repeater>
					</td>
				</tr>
			</table>
			<tr>
				<td width="99%" colspan="2">
					<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" runat="server" Visible="false">
					</uc1:ConditionRulesEditor>
				</td>
			</tr>
		</td>
	</tr>
</table>
