<%@ Control Language="c#" CodeBehind="RankingWizard.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.RankingWizard" %>
<%@ Register Src="../RichTextBoxWrapper/RichTextBox.ascx" TagName="RichTextBox" TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>


<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table>
				<tr>
					<td valign="top" nowrap>
						<uc1:RichTextBox ID="QuestionTextBox" runat="server" Height="200"></uc1:RichTextBox>
						<br />
					</td>
				</tr>
			</table>
	</tr>
</table>
<table class="adminTitle">
	<tr>
		<td>&nbsp;</td>
		<td width="99%">
			<asp:Literal ID="QuestionChoicesTitle" runat="server" Text="" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td class="labelStyle">
			<asp:Label ID="RankingModeLabel" runat="server"></asp:Label>
		</td>
		<td width="99%">
			<asp:DropDownList ID="RankingModeDropDownList" AutoPostBack="true" OnSelectedIndexChanged="RankingModeDropDownList_Changed"
				runat="server">
			</asp:DropDownList>
		</td>
	</tr>
	<tr id="MinRankingRow" runat="server">
		<td>
			&nbsp;&nbsp;
		</td>
		<td class="labelStyle">
			<asp:Label ID="MinRankingLabel" runat="server"></asp:Label>
		</td>
		<td width="99%">
			<asp:TextBox ID="MinRankingTextbox" Columns="4" Text="1" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr id="MaxRankingRow" runat="server">
		<td>
			&nbsp;&nbsp;
		</td>
		<td class="labelStyle">
			<asp:Label ID="MaxRankingLabel" runat="server"></asp:Label>
		</td>
		<td width="99%">
			<asp:TextBox ID="MaxRankingTextbox" Columns="4" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td colspan="2" width="99%">
			<asp:TextBox ID="QuestionChoiceTextBox" Columns="80" TextMode="MultiLine" Rows="8"
				runat="server"></asp:TextBox>
		</td>
	</tr>
</table>
<br />
<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td nowrap>
			<asp:Button ID="AddQuestionButton" runat="server" Text="Add new question" OnClick="AddQuestionButton_Click">
			</asp:Button>
		</td>
	</tr>
</table>
</ContentTemplate></asp:UpdatePanel>
<br />
<br />
			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 