<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls" Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<%@ Page Language="c#" ValidateRequest="false" CodeBehind="fs.aspx.cs"
	AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.fs" Trace="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

<title>Online Survey</title>
<meta http-equiv="Content-Script-Type" content="text/javascript"/>
<meta http-equiv="Content-Style-Type" content="text/css"/>

	<style type="text/css">

		.constantSumReached
		{
			color : green;
		}		

		.constantSumNotReached
		{
			color : red;
		}		

		.constantSumTotal
		{}		

		.smallText
		{
			font-family: Arial, Verdana, sans-serif;
			font-size: xx-small;
		}
		
		.fsCalendarStyle
		{
			background-color: #FFFFFF;
			border : solid 1px #00000;
			z-index : 100;
			position:relative;
			font-family : Arial;
			font-size : x-small;
		}
		
		.calendarStyle .ajax__calendar_container
		{
			border: 1px solid #646464;
			background-color: #ffffff;
			color: #000000;
		}
		.calendarStyle .ajax__calendar_footer
		{
			border-top: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_dayname
		{
			border-bottom: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_day
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_month
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_year
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_day
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_year
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_title
		{
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_today
		{
			color: #0066cc;
		}
		.textboxWatermark
		{
			background-color: #ccddff;
			color: #558899;
		}
		
		.fsFormBuildTable
		{
			font-family : Arial;
			font-size : 14px;
		}
	</style>
</head>
<body style="background-color:<%=BackgroundColor%>">
	<form runat="server" id="Form1">
	<ajaxToolkit:ToolkitScriptManager runat="Server" EnableScriptGlobalization="true"
		EnableScriptLocalization="true" AsyncPostBackTimeout="600" ID="FSScriptManager" ScriptMode="Release" 
		CombineScripts="false" >
		</ajaxToolkit:ToolkitScriptManager>

	<asp:Image ID="HeaderImage" runat="server" Visible="false"></asp:Image>
	<asp:Literal ID="HeaderLiteral" runat="server" EnableViewState="true"></asp:Literal>
	
	<div id="SurveyOuterContainer" runat="server">
		<div id="SurveyContainer" runat="server">
			<asp:PlaceHolder ID="StandardSurveyPlaceHolder" runat="server">
						<vts:SurveyBox ID="Survey" runat="server" EnableValidation="true"/>
			</asp:PlaceHolder>
			<asp:PlaceHolder ID="RichSurveyPlaceHolder" runat="server">
				<asp:UpdatePanel ID="FSUpdatePanel" runat="server" UpdateMode="Conditional">
					<ContentTemplate>
				<vts:SurveyBox ID="RichSurvey" runat="server" EnableValidation="true"/>
						</ContentTemplate></asp:UpdatePanel>
			</asp:PlaceHolder>
		</div>
	</div>
	<asp:Literal ID="FooterLiteral" runat="server" EnableViewState="false"></asp:Literal>
	</form>
	
</body>
</html>
