<%@ Control Language="c#" Codebehind="BehaviorProperties.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.BehaviorProperties" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<link rel="stylesheet" type="text/css" href="scripts/build/colorpicker/assets/skins/sam/colorpicker.css" />
<link type="text/css" rel="stylesheet" href="scripts/build/container/assets/container.css">
<link rel="stylesheet" type="text/css" href="scripts/build/menu/assets/menu.css"> 


<script type="text/javascript" src="scripts/build/utilities/utilities.js"></script>
<script type="text/javascript" src="scripts/build/slider/slider.js"></script>
<script type="text/javascript" src="scripts/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="scripts/build/colorpicker/colorpicker-min.js"></script>

<style>  
	#container { position:absolute; left:14px; top:190px; border:1px solid gray; display:none; padding: 6px; background-color: #eeeeee; width: 340px; height:200px; }
	#tablecolorcontainer { position:absolute; left:14px; top:190px; border:1px solid gray; display:none; padding: 6px; background-color: #eeeeee; width: 340px; height:200px; }
</style>

<script language="javascript">

	var formElement = null;

	function setupState()
	{
		formElement = parent.getFormEditor().selectedElement;
	}
	
	function cancelUpdate()
	{
		formElement.onPropertiesCanceledCallBack();
		return false;
	}
	
	function deleteElement()
	{
		if(confirm('<%=GetPageResource("DeleteConfirmationMessage")%>')== false) 
			return false;	
		
		formElement.onPropertiesDeletedCallBack();
		return false;
	}

	
</script>

<table width="100%">
	                <tr>
		                <td>
			                &nbsp;&nbsp;
		                </td>
		                <td width="99%" align="left">
    <ajaxToolkit:TabContainer runat="server" ActiveTabIndex="0" OnClientTabLoaded="setupState" Height="250px" Width="100%">

            <ajaxToolkit:TabPanel runat="server" ID="BehaviorPropertiesTab" HeaderText="Behavior Properties">
                <ContentTemplate>
                <asp:UpdatePanel  ID="PageUpdatePanel" runat="server" >
                <ContentTemplate>

					<table class="settingsTable">
						<tr>
							<td>
								<asp:PlaceHolder ID="BehaviorPropertiesPlaceHolder" runat="server"></asp:PlaceHolder>
							</td>
						</tr>
					</table>
				</ContentTemplate></asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
				
				</ContentTemplate>
            </ajaxToolkit:TabPanel>
		<ajaxToolkit:TabPanel runat="server" ID="GeneralPropertiesTab" HeaderText="General Properties">
			<ContentTemplate>
                <asp:UpdatePanel  ID="UpdateSettingsPanel" runat="server" >
                <ContentTemplate>

                <table class="settingsTable">
	                <tr><td>
                 <table>
					<tr id="EditionLanguageRow" runat="server">
						<td nowrap class="labelStyle">
							<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
						</td>
						<td>
							<asp:DropDownList ID="LanguagesDropdownlist" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged"
								runat="server" AutoPostBack="True">
							</asp:DropDownList>
						</td>
					</tr>
					<tr id="ClassNameRow" runat="server">
						<td class="labelStyle" nowrap>
							<asp:Literal ID="ClassNameLabel" runat="server"></asp:Literal>
						</td>
						<td>
							<asp:TextBox ID="ClassNameTextBox" runat="server"></asp:TextBox>
						</td>
					</tr>
					<tr id="PostbackTriggerRow" runat="server">
						<td class="labelStyle" nowrap>
						<asp:Literal ID="DefaultPostbackLabel" runat="server"></asp:Literal>
							
						</td>
						<td>
							<asp:CheckBox ID="DefaultTriggerCheckbox" runat="server" />
						</td>
					</tr>
				</table>
				</td> </tr> </table>
				</ContentTemplate>
				</asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server" TargetControlID="UpdateSettingsPanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

			</ContentTemplate>
		</ajaxToolkit:TabPanel>
            
        </ajaxToolkit:TabContainer>
        
        
                <asp:UpdatePanel ID="ButtonsUpdatePanel" runat="server" >
                <ContentTemplate>
				<table>
					<tr>
						<td>
							<asp:Button ID="UpdateButton" runat="server" OnClick="OnUpdateButtonClick" />
							<input id="DeleteButton" type="button" onclick="deleteElement()" runat="server" />
							<input id="CancelButton" type="button" onclick="cancelUpdate()" runat="server" />
				</td></tr></table>
				</ContentTemplate></asp:UpdatePanel>


</td></tr></table>

