<%@ Control Language="c#" CodeBehind="CreatePanel.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.CreatePanel" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/Panels/Panels.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="PanelConnectorTitle" runat="server"></asp:Literal>
		</td>
	</tr>
</table>
<asp:UpdatePanel ID="PageUpdatePanel" UpdateMode="Conditional" runat="server">
<Triggers><asp:PostBackTrigger ControlID="CreatePanelButton" /> </Triggers>
	<ContentTemplate>
		<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
		<table class="settingsTable">
			<tbody>
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<table>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="PanelConnectorTypeLabel" EnableViewState="False" runat="server"
										Text="Connector type :"></asp:Literal>
								</td>
								<td width="99%">
									<asp:DropDownList ID="PanelConnectorsDropDownList" runat="server" AutoPostBack="True"
										OnSelectedIndexChanged="PanelConnectorsDropDownList_SelectedIndexChanged">
									</asp:DropDownList>
									<asp:RequiredFieldValidator ID="ConnectorValidator" runat="server" ControlToValidate="PanelConnectorsDropDownList"
										InitialValue="-1" SetFocusOnError="True" ValidationGroup="PanelValidation">*</asp:RequiredFieldValidator>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</tbody>
		</table>
		<asp:PlaceHolder ID="ConnectorConfigPlaceHolder" runat="server" Visible="false">
			<br />
			<table class="adminTitle">
				<tr>
					<td>
						<a href="help/Panels/Panels.htm" target="feedbackserverhelp">
							<img src="images/helpicon.gif" border="0"></a>
					</td>
					<td width="99%">
						<asp:Literal ID="ConnectorConfigLabel" runat="server"></asp:Literal>
					</td>
				</tr>
			</table>
			<table class="settingsTable">
				<tbody>
					<tr>
						<td>
							&nbsp;&nbsp;
						</td>
						<td width="99%">
							<asp:PlaceHolder ID="ConfigPlaceHolder" runat="server" />
						</td>
					</tr>
				</tbody>
			</table>
		</asp:PlaceHolder>
		<asp:PlaceHolder ID="PanelSettingsPlaceHolder" runat="server">
			<br />
			<table class="adminTitle">
				<tr>
					<td>
						<a href="help/FeedbackServer.htm#Panels/Panels.htm" target="feedbackserverhelp">
							<img src="images/helpicon.gif" border="0"></a>
					</td>
					<td width="99%">
						<asp:Literal ID="PanelSettingsTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
					</td>
				</tr>
			</table>
			<table class="settingsTable">
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<asp:ValidationSummary ID="ValidationSummary1" CssClass="mediumText" DisplayMode="List"
							runat="server" ShowMessageBox="false" EnableClientScript="true" ShowSummary="true"
							ValidationGroup="PanelValidation" />
						<table>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="PanelNameLabel" EnableViewState="False" runat="server" Text="Panel Name   :"></asp:Literal>
								</td>
								<td width="99%">
									<asp:TextBox Columns="40" ID="PanelNameTextBox" runat="server"></asp:TextBox>
									<asp:RequiredFieldValidator ID="PanelNameValidator" runat="server" ControlToValidate="PanelNameTextBox"
										SetFocusOnError="True" ValidationGroup="PanelValidation">*</asp:RequiredFieldValidator>
								</td>
							</tr>
							<tr id="PanelSycModeRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="PanelSyncModeLabel" runat="server" Text=""></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="PanelSyncModeDropDownList" OnSelectedIndexChanged="PanelSyncModeDropDownListIndexChanged"
										AutoPostBack="true" runat="server">
									</asp:DropDownList>
								</td>
							</tr>
							<tr id="PanelDataSycTypeRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="PanelDataSyncTypeLabel" runat="server" Text=""></asp:Literal>
								</td>
								<td>
									<asp:CheckBox ID="AddDataSyncCheckbox" Checked="true" runat="server" /><asp:CheckBox ID="UpdateDataSyncCheckbox"
										runat="server" Checked="true" /><asp:CheckBox ID="DeleteDataSyncCheckbox" Checked="true" runat="server" />
								</td>
							</tr>
							<tr id="PanelUpdateRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="PanelUpdateModeLabel" runat="server" Text=""></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="PanelUpdateModeDropDownList" runat="server"></asp:DropDownList>
								</td>
							</tr>
							<tr id="SourceIntervalRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="SourceSyncIntervalLabel" runat="server"
										Text="Source Syncronization interval :"></asp:Literal>
								</td>
								<td width="480">
									<asp:TextBox runat="server" ID="SyncMinutesIntervalTextBox" Columns="4" Text="1440"></asp:TextBox>&nbsp;
									<asp:Literal ID="SourceSyncMinutesLabel" EnableViewState="False" runat="server" Text="minutes"></asp:Literal>
									<asp:RequiredFieldValidator ID="SyncMinutesRequiredFieldValidator" runat="server"
										ControlToValidate="SyncMinutesIntervalTextBox" SetFocusOnError="True" ValidationGroup="PanelValidation">*</asp:RequiredFieldValidator>
									<asp:CompareValidator ControlToValidate="SyncMinutesIntervalTextBox" ID="SyncMinutesCompareValidator"
										runat="server" ValidationGroup="PanelValidation" Type="Integer" Display="None"
										Operator="DataTypeCheck"></asp:CompareValidator>
								</td>
							</tr>
							<tr id="SyncOnAppRestartRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="SyncOnAppRestartLabel" runat="server" Text=""></asp:Literal>
								</td>
								<td>
									<asp:CheckBox ID="ResyncOnAppRestartCheckBox" runat="server" />
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<table>
				<tbody>
					<tr>
						<td>
							&nbsp;&nbsp;
						</td>
						<td width="99%">
							<br />
							<asp:Button ID="CreatePanelButton" runat="server" OnClick="CreatePanelButton_Click"
								Text="Create Panel" ValidationGroup="PanelValidation" />
						</td>
					</tr>
				</tbody>
			</table>
		</asp:PlaceHolder>
	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
