<%@ Control Language="c#" CodeBehind="EditMediaItem.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditMediaItem" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<asp:UpdatePanel runat="server" ID="PageUpdatePanel">
<Triggers><asp:PostBackTrigger ControlID="DownloadMediaButton" /></Triggers>
	<ContentTemplate>
		<table class="adminTitle">
			<tr>
				<td>
					<a href="help/FeedbackServer.htm#Edit_media_item.htm" target="feedbackserverhelp">
						<img src="images/helpicon.gif" border="0"></a>
				</td>
				<td width="99%">
					<asp:Literal ID="EditMediaItemTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
				</td>
			</tr>
		</table>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
					<table>
						<tr>
							<td class="labelStyle">
								<asp:Literal ID="MediaTitleLabel" runat="server" Text="" EnableViewState="False"></asp:Literal></strong>
							</td>
							<td>
								<asp:TextBox Columns="40" ID="MediaTitleTextBox" runat="server" MaxLength="100"></asp:TextBox>
							</td>
						</tr>
						<tr id="WidthRow" runat="server">
							<td class="labelStyle">
								<asp:Literal ID="WidthLabel" runat="server" Text="" EnableViewState="False"></asp:Literal></strong>
							</td>
							<td>
								<asp:TextBox Columns="4" ID="WidthTextBox" runat="server"></asp:TextBox>
							</td>
						</tr>
						<tr id="HeightRow" runat="server">
							<td class="labelStyle">
								<asp:Literal ID="HeightLiteral" runat="server" Text="" EnableViewState="False"></asp:Literal></strong>
							</td>
							<td width="99%">
								<asp:TextBox Columns="4" ID="HeightTextBox" runat="server"></asp:TextBox>
							</td>
						</tr>
						<tr id="BuiltInRow" runat="server">
							<td class="labelStyle">
								<asp:Literal ID="BuiltInLabel" runat="server" Text="" EnableViewState="False"></asp:Literal></strong>
							</td>
							<td width="99%">
								<asp:Checkbox ID="BuiltInCheckbox" runat="server"></asp:Checkbox>
							</td>
						</tr>

					</table>
					<br />
					<asp:Button ID="UpdateMediaButton" runat="server" Text="" OnClick="UpdateMediaButton_Click">
					</asp:Button>
					<asp:Button ID="DeleteMediaButton" runat="server" Text="" OnClick="DeleteMediaButton_Click">
					</asp:Button>
					<asp:Button ID="DownloadMediaButton" runat="server" Text="" OnClick="DownloadMediaButton_Click">
					</asp:Button>
					<asp:Button ID="CancelButton" runat="server"></asp:Button>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
