<%@ Control Language="c#" CodeBehind="EntryApproval.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EntryApproval" %>
<%@ Register Src="../UserControls/DynamicPanelistGridView.ascx" TagName="DynamicPanelistGridView" TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panelist_manager.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="PanelistEntryApprovalTitle" runat="server" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<uc1:DynamicPanelistGridView ID="DynamicPanelistGridView" runat="server" />
		</td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
				<asp:Button ID="ApproveSelecetdPanelistButton" OnClientClick="return approvePanelists();" runat="server" Text="Approve selected panelist entries"/>
				<asp:Button ID="DenyPanelistEntryButton" runat="server" OnClientClick="return denyPanelists();" Text="Deny selected panelist entries" />
		</td>
	</tr>
</table>

<script type="text/javascript">

	function approvePanelists()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.ApprovePanelistSelections(<%=PanelId%>, 
			GetSelectedIds<%=DynamicPanelistGridView.PanelistGridView.ClientID%>(), deletePanelists_callback);
		return false;
	}

	function denyPanelists()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.DenyPanelistSelections(<%=PanelId%>, 
			GetSelectedIds<%=DynamicPanelistGridView.PanelistGridView.ClientID%>(), deletePanelists_callback);
		return false;
	}

	function deletePanelists_callback(res) 
	{
		if (res)
		{
		    alert(res);
		}
		
		ReloadGrid<%=DynamicPanelistGridView.PanelistGridView.ClientID%>()
	}

	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}	

</script>