<%@ Control Language="c#" Codebehind="ExportData.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ExportData" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<%@ Register TagPrefix="uc1" TagName="AnswersSelector" Src="../usercontrols/AnswersSelector.ascx" %>


<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Data_export.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="SurveyExportTitle" EnableViewState="False" Text="" runat="server"></asp:Literal></td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
			<table>
				<tr id="TitleRow" runat="server">
					<td class="labelStyle" nowrap>
						
							<asp:Literal ID="TemplateTitleLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
					<td><asp:TextBox ID="TemplateTitleTextBox" runat="server" Columns="60"></asp:TextBox>
						</td>

				</tr>

				<tr id="ExportTypeRow" runat="server">
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="ExportTemplateType" EnableViewState="False" runat="server" Text="Export type"></asp:Literal></td>
					<td width="99%">
						<asp:DropDownList ID="ExportDropDownList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ExportDropDownList_SelectedIndexChanged">
						</asp:DropDownList></td>
				</tr>
				<tr>
					<td class="labelStyle" nowrap>
						
							<asp:Literal ID="ExportFromDateLabel" EnableViewState="False" runat="server" Text="Export from date :"></asp:Literal></td>
					<td><asp:TextBox ID="StartDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
							ID="ShowStartDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server"></asp:ImageButton>
							<ajaxToolkit:CalendarExtender ID="CalendarExtender2"  runat="server"
PopupButtonID="ShowStartDateImageButton"   TargetControlID="StartDateTextBox"/>
						</td>

				</tr>
				<tr>
					<td class="labelStyle" nowrap>
							<asp:Literal ID="ExportToDateLabel" runat="server" EnableViewState="False" Text="To date :"></asp:Literal></td>
					<td>
						<asp:TextBox ID="EndDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
							ID="ShowEndDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server"></asp:ImageButton>
						<ajaxToolkit:CalendarExtender ID="CalendarExtender1"  runat="server"
PopupButtonID="ShowEndDateImageButton"   TargetControlID="EndDateTextBox"/>
						</td>

				</tr>
					<tr id="UserReportingAliasRow" runat="server">
						<td class="labelStyle" nowrap>
							
								<asp:Literal ID="UseReportingAliasLabel" runat="server" EnableViewState="False" Text="Use reporting aliases"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="UseReportingAliasCheckBox" runat="server"></asp:CheckBox></td>
					</tr>
				<tr id="ExportEncodingRow" runat="server">
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="ExportEncodingLabel" EnableViewState="False" runat="server" Text="Export encoding"></asp:Literal></td>
					<td width="99%">
						<asp:DropDownList ID="ExportEncodingDropDownList" runat="server">
						</asp:DropDownList></td>
				</tr>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="RespondentExportFilterLabel" runat="server" Text="Respondent filter :"></asp:Literal></td>
					<td width="99%">
						<asp:DropDownList ID="ExportFiltersDropDownList" runat="server">
						</asp:DropDownList></td>
				</tr>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="ResponsesTypeLabel" runat="server" Text=""></asp:Literal></td>
					<td width="99%">
						<asp:DropDownList ID="ResponseTypeDropDownList" runat="server">
						</asp:DropDownList></td>
				</tr>

				<tr id="ExportAnswersRow" runat="server">
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="ExportAnswersLabel" runat="server" Text="Export answers :"></asp:Literal></td>
					<td>
						<asp:DropDownList ID="ExportAnswersDropdownlist" runat="server" AutoPostBack="True"
							OnSelectedIndexChanged="ExportAnswersDropdownlist_SelectedIndexChanged">
						</asp:DropDownList></td>
				</tr>
				<asp:PlaceHolder ID="SelectAnswersPlaceHolder" Visible="false" runat="server">
					<tr>
						<td>&nbsp;</td>
						<td valign="top" nowrap colspan="2">
							<table class="smallText">
							</table>
							<uc1:AnswersSelector ID="AnswersSelectorControl" runat="server"></uc1:AnswersSelector>
						</td>
					</tr>
				</asp:PlaceHolder>

				<tr id="SecurityAddinRow" runat="server">
					<td class="labelStyle" nowrap="true">
						
							<asp:Literal ID="SecurityAddinsDataLabel" EnableViewState="true" runat="server" Text="Include security addins data :"></asp:Literal></td>
					<td><asp:CheckBox ID="IncludeSecurityAddinDataCheckBox" Checked="true" runat="server"></asp:CheckBox></td>
				</tr>

				<tr id="RespondentRows" runat="server">
					<td class="labelStyle" nowrap="true">
						
							<asp:Literal ID="DataExportRespondentOptionTitle" EnableViewState="true" runat="server" Text=""></asp:Literal></td>
					<td>
							<table class="smallText">
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="RespondentIdLabel" EnableViewState="true" runat="server" Text="Id :"></asp:Literal></td>
					<td><asp:CheckBox ID="RespondentIdCheckBox" Checked="true" runat="server"></asp:CheckBox></td>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="RespondentIPExportLabel" EnableViewState="true" runat="server" Text="IP :"></asp:Literal></td>
					<td><asp:CheckBox ID="RespondentIPCheckBox" Checked="true" runat="server"></asp:CheckBox></td>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="RespondentDateLabel" EnableViewState="true" runat="server" Text="Dates :"></asp:Literal></td>
					<td><asp:CheckBox ID="RespondentDatesCheckBox" Checked="true" runat="server"></asp:CheckBox></td>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="RespondentLanguageLabel" EnableViewState="true" runat="server" Text="Language :"></asp:Literal></td>
					<td><asp:CheckBox ID="RespondentLanguageCheckBox" Checked="true" runat="server"></asp:CheckBox></td>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="EmailRespondentLabel" EnableViewState="true" runat="server" Text="Email :"></asp:Literal></td>
					<td><asp:CheckBox ID="RespondentEmailCheckBox" Checked="true" runat="server"></asp:CheckBox></td>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="RespondentUserName" EnableViewState="true" runat="server" Text="Username :"></asp:Literal></td>
					<td width="99%"><asp:CheckBox ID="RespondentUserNameCheckBox" Checked="true" runat="server"></asp:CheckBox></td>
				</tr>

			</table>

					</td>
				</tr>
				<tr id="ExportLinkRow" runat="server">
					<td nowrap class="labelStyle" valign="top">
							<asp:Literal ID="DataExportLinkLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
					<td width="99%" nowrap><asp:HyperLink Font-Size=Xx-Small ID="DataExportWebAccessHyperLink" runat="server"></asp:HyperLink></td>
				</tr>

			</table>
		</td>
	</tr>
</table><br />


<asp:PlaceHolder ID="ExportContainerPlaceHolder" runat="Server"></asp:PlaceHolder>

<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:Button ID="ExportButton" runat="server" Text="Export" 
				OnClick="ExportButton_Click"></asp:Button>
						<asp:Button ID="UpdateButton" runat="server" Text="" 
				OnClick="UpdateButton_Click"></asp:Button>
						<asp:Button ID="DeleteButton" runat="server" Text="" 
				OnClick="DeleteButton_Click"></asp:Button>
			<asp:Button ID="QuestionRefButton" runat="server" OnClick="QuestionRefButton_Click" />
			<asp:Button ID="AnswerRefButton" runat="server" OnClick="AnswerRefButton_Click" />
			<asp:Button ID="RespondentRefButton" runat="server" OnClick="RespondentRefButton_Click" />
						<asp:Button ID="AddExportButton" runat="server" Text="Export" 
				OnClick="AddExportButton_Click"></asp:Button>
			</td>

	</tr>
</table>
</ContentTemplate>
<Triggers>
<asp:PostBackTrigger ControlID="ExportButton" />
<asp:PostBackTrigger ControlID="QuestionRefButton" />
<asp:PostBackTrigger ControlID="AnswerRefButton" />
<asp:PostBackTrigger ControlID="RespondentRefButton" />
</Triggers>
</asp:UpdatePanel>

			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
