<%@ Control Language="c#" CodeBehind="FSSettings.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.FSSettings" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script>


	function tabLoaded(sender, args)
	{
		resizeContainer(sender, args)
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
			
		var panelBody = $get('<%=SettingsTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Installation/New_Topic.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="FSSettingsTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
		</td>
	</tr>
</table>
	<table>
	                <tr>
		                <td>
			                &nbsp;&nbsp;
		                </td>
		                <td width="99%">
                <asp:UpdatePanel RenderMode="Inline" ID="MessageUpdatePanel" runat="server" ><ContentTemplate>
                <asp:Label ID="MessageLabel" Visible="false" ForeColor="Green" runat="server"></asp:Label>
                </ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:TabContainer runat="server" ID="SettingsTabs" ActiveTabIndex="0" Height="250px"
	Width="100%" OnClientTabLoaded="tabLoaded" OnClientActiveTabChanged="resizeContainer">
	<ajaxToolkit:TabPanel runat="server" ID="SettingsTab" HeaderText="">
		<ContentTemplate>
			<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
				<ContentTemplate>
								<table class="settingsTable" border="0">
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="MailServerLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td width="99%">
											<asp:TextBox ID="MailTextBox" Columns="40" runat="server"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="MailServerPortLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="MailPortTextBox" runat="server" Width="33px"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="MailServerUserNameLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="MailUserTextBox" Columns="40" runat="server"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="MailServerUserPasswordLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="MailUserPasswordTextBox" Columns="40" runat="server" TextMode="Password"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="EnableMailServerSSLLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="EnableMailServerSSLCheckBox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="MailingBatchPoolDelayLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="MailBatchDelayTextBox" runat="server" Width="33px"></asp:TextBox>
											<asp:RequiredFieldValidator ID="BatchRequiredFieldValidator" runat="server" ControlToValidate="MailBatchDelayTextBox"
												Display="Dynamic" ValidationGroup="SettingsValidation"></asp:RequiredFieldValidator><asp:CompareValidator
													ID="CompareValidator1" runat="server" ControlToValidate="MailBatchDelayTextBox"
													Display="Dynamic" Operator="GreaterThan" Type="Integer" ValidationGroup="SettingsValidation"
													ValueToCompare="0"></asp:CompareValidator>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="UploadFileDeleteTimeOutLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="UploadFileTimeOutTextBox" runat="server" Width="33px"></asp:TextBox>
											<asp:RequiredFieldValidator ID="UploadRequiredFieldValidator" runat="server" ControlToValidate="UploadFileTimeOutTextBox"
												Display="Dynamic" ValidationGroup="SettingsValidation"></asp:RequiredFieldValidator><asp:CompareValidator
													ID="CompareValidator2" runat="server" ControlToValidate="UploadFileTimeOutTextBox"
													Display="Dynamic" Operator="GreaterThan" Type="Integer" ValidationGroup="SettingsValidation"
													ValueToCompare="0"></asp:CompareValidator>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="SessionUploadedFileDeleteTimeOutLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="SessionUploadFileTimeOutTextBox" runat="server" Width="33px"></asp:TextBox>
											<asp:RequiredFieldValidator ID="SessionUploadRequiredFieldValidator" runat="server"
												ControlToValidate="SessionUploadFileTimeOutTextBox" Display="Dynamic" ValidationGroup="SettingsValidation"></asp:RequiredFieldValidator><asp:CompareValidator
													ID="CompareValidator3" runat="server" ControlToValidate="SessionUploadFileTimeOutTextBox"
													Display="Dynamic" Operator="GreaterThan" Type="Integer" ValidationGroup="SettingsValidation"
													ValueToCompare="0"></asp:CompareValidator>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="AllowSQLAnswerTypeLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="AllowSqlCheckBox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="ServerCachingLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="ServerCachingCheckBox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="EnableTrashcanLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="EnableTrashCanCheckBox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="CompressViewStateLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="CompressViewStateCheckBox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="CompressAdminPagesLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="CompressAdminPagesCheckBox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="CompressWebServicesLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="CompressWebServicesCheckbox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="CompressSurveyDeploymentPageLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="CompressSurveyDeploymentPageCheckBox" runat="server" />
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="CacheTimeOutLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="CacheTimeOutTextBox" runat="server" Width="33px"></asp:TextBox>
											<asp:RequiredFieldValidator ID="CacheTimeRequiredFieldValidator" runat="server" ControlToValidate="CacheTimeOutTextBox"
												Display="Dynamic" ValidationGroup="SettingsValidation"></asp:RequiredFieldValidator><asp:CompareValidator
													ID="CompareValidator4" runat="server" ControlToValidate="CacheTimeOutTextBox"
													Display="Dynamic" Operator="GreaterThan" Type="Integer" ValidationGroup="SettingsValidation"
													ValueToCompare="-2"></asp:CompareValidator>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="AllowedSurveyDesigner" EnableViewState="False" runat="server">Max. Survey Designers</asp:Literal>
										</td>
										<td>
											<asp:Label ID="MaxSurveyDesigners" runat="server"></asp:Label>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="LicenseSubscription" EnableViewState="False" runat="server">License Subscription End Date</asp:Literal>
										</td>
										<td>
											<asp:Label ID="LicenseSubscriptionEndLabel" runat="server"></asp:Label>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="Literal1" EnableViewState="False" runat="server">Active directory connector license</asp:Literal>
										</td>
										<td>
											<asp:Label ID="AdLicenseLabel" runat="server"></asp:Label>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="Literal2" EnableViewState="False" runat="server">MS SQL connector license</asp:Literal>
										</td>
										<td>
											<asp:Label ID="MSSQLLicense" runat="server"></asp:Label>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="Literal3" EnableViewState="False" runat="server">Sharepoint license</asp:Literal>
										</td>
										<td>
											<asp:Label ID="SharepointLicense" runat="server"></asp:Label>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="Literal4" EnableViewState="False" runat="server">Salesforce connector license</asp:Literal>
										</td>
										<td>
											<asp:Label ID="SalesForceLabel" runat="server"></asp:Label>
										</td>
									</tr>
								</table>
				</ContentTemplate>
			</asp:UpdatePanel>
			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
				TargetControlID="PageUpdatePanel">
				<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
				</Animations>
			</ajaxToolkit:UpdatePanelAnimationExtender>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
		<ajaxToolkit:TabPanel runat="server" ID="MailServeTestTab" HeaderText="">
		<ContentTemplate>
			<asp:UpdatePanel ID="UpdatePanel1" runat="server">
				<ContentTemplate>
								<table class="settingsTable" border="0">
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="TestEmailFromLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td width="99%">
											<asp:TextBox ID="TestEmailFromTextBox" Columns="40" runat="server"></asp:TextBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="TestEmailToLabel" EnableViewState="False" runat="server"></asp:Literal>
										</td>
										<td>
											<asp:TextBox ID="TestEmailToTextBox" runat="server" columns="40"></asp:TextBox>
										</td>
									</tr>
									</table>
									<asp:Button ID="TestMailServerButton" runat="server" Text="" OnClick="TestEmailServerButton_Click" />
				</ContentTemplate></asp:UpdatePanel>
				</ContentTemplate>
				</ajaxToolkit:TabPanel>					
	
</ajaxToolkit:TabContainer>
<br />
<asp:UpdatePanel ID="UpdateSettingsPanel" runat="server">
	<ContentTemplate>
		<asp:Button ID="SaveSettingsButton" runat="server" Text="" OnClick="SaveSettingsButton_Click" ValidationGroup="SettingsValidation"></asp:Button>&nbsp;
		<asp:Button ID="EncryptSettingsButton" runat="server" Text="" OnClick="EncryptSettingsButton_Click" />
		<asp:Button ID="DecryptSettingsButton" runat="server" Text="" OnClick="DecryptSettingsButton_Click" />
	</ContentTemplate>
</asp:UpdatePanel>
</td> </tr> </table> 