<%@ Control Language="c#" Codebehind="PanelistSettings.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelistSettings" %>
<%@ Register Src="PanelistAttributes.ascx" TagName="PanelistAttributes" TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<asp:UpdatePanel ID="UpdatePanel1" runat="server">
	<ContentTemplate>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
					<table>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="PanelistIdLabel" runat="server" EnableViewState="False" Text="Panelist status:"></asp:Literal>
							</td>
							<td width="99%">
								<asp:Literal ID="IdLabel" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="PanelistSourceIdLabel" runat="server" EnableViewState="False" Text="Panelist status:"></asp:Literal>
							</td>
							<td>
								<asp:Literal ID="SourceIdLabel" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="PanelistStatusLabel" runat="server" EnableViewState="False" Text="Panelist status:"></asp:Literal>
							</td>
							<td>
								<asp:Literal ID="StatusLabel" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle" valign="top">
								<asp:Literal ID="PanelistStatusErrorMessageLabel" runat="server" EnableViewState="False"
									Text="Status error message :"></asp:Literal>
							</td>
							<td>
								<asp:Literal ID="StatusErrorMessage" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="AuthLinkToUserLabel" runat="server" EnableViewState="False" Text="Link to user :"></asp:Literal>
							</td>
							<td width="99%">
								<asp:DropDownList ID="UsersDropDownList" AutoPostBack="true" OnSelectedIndexChanged="UpdatePanelistButton_Click" runat="server">
								</asp:DropDownList>
							</td>
						</tr>
					</table>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<br />
<uc1:PanelistAttributes ID="PanelistAttributesControl" runat="server" />

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="UpdatePanel1">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 