<%@ Control language="c#" Codebehind="QuestionTemplates.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.QuestionTemplates" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

        
<asp:UpdatePanel ID="PageUpdatePanel" runat="server" >
<ContentTemplate>

<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Question_types/Templated_question.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="QuestionTemplatesTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
		<asp:DropDownList ID="QuestionTemplatesDropDownList" AutoPostBack="true" runat="server" 
				onselectedindexchanged="QuestionTemplatesDropDownList_SelectedIndexChanged"></asp:DropDownList>
		<asp:LinkButton CssClass="mediumText" ID="AddQuestionTemplateLinkButton" runat="server" Text="Add template" OnClick="AddQuestionTemplateLinkButton_OnClick"></asp:LinkButton>
		</td>
	</tr>
</table><br />

<asp:placeholder ID="TemplatePlaceholder"  Visible="false" runat="server">
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Question_types/Templated_question.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="EditQuestionTemplateTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>

<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">

					<table width="100%">
                <tr id="EditionLanguageRow" runat="server" >
                    <td nowrap class="labelStyle">
                        <asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal></td>
                    <td>
                        <asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
                        </asp:DropDownList></td>
                </tr>

					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="TemplateTitleLabel" EnableViewState="False" runat="server">Template title</asp:Literal>
							</td>
							<td>
							<asp:TextBox ID="TemplateTitleTextBox" runat="server" Columns="60"></asp:TextBox>
							</td>
						</tr>

					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="TemplateHeaderLabel" EnableViewState="False" runat="server">Template header</asp:Literal>
							</td>
							<td>
							<asp:TextBox ID="TemplateHeaderTextBox" runat="server" Columns="60" TextMode="MultiLine" Rows="6"></asp:TextBox>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="TemplateBodyLabel" EnableViewState="False" runat="server">Template body</asp:Literal>
							</td>
							<td>
							<asp:TextBox ID="TemplateBodyTextBox" runat="server" Columns="60" TextMode="MultiLine" Rows="6"></asp:TextBox>
							</td>
						</tr>
					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="TemplateAlternatingBodyLabel" EnableViewState="False" runat="server">Template alternating body</asp:Literal>
							</td>
							<td>
							<asp:TextBox ID="TemplateAlternatingBodyTextBox" runat="server" Columns="60" TextMode="MultiLine" Rows="6"></asp:TextBox>
							</td>
						</tr>

					   <tr>
							<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="TemplateFooterLabel" EnableViewState="False" runat="server">Template footer</asp:Literal>
							</td>
							<td>
							<asp:TextBox ID="TemplateFooterTextBox" runat="server" Columns="60" TextMode="MultiLine" Rows="6"></asp:TextBox>
							</td>
						</tr>

						
					</table>

				<asp:Button ID="CreateTemplateButton" runat="server" Text="Create type" OnClick="CreateTemplateButton_Click">
				</asp:Button><asp:Button ID="ApplyChangesButton" runat="server" Text="Apply changes"
					OnClick="ApplyChangesButton_Click"></asp:Button><asp:Button ID="DeleteTemplateButton"
						runat="server" Text="Delete type" OnClick="DeleteTemplateButton_Click"></asp:Button>		
<asp:Button ID="MakeBuiltInButton" Visible="False" runat="server" Text="Make Built In" OnClick="MakeBuiltInButton_Click">
					</asp:Button>						
						
						</td>

		</tr>
	</table><br /><br />
</asp:placeholder>

</ContentTemplate></asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 


