<%@ Control Language="c#" Codebehind="ReportPrinter.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ReportPrinter" %>
<%@ Register TagPrefix="uc1" TagName="ReportListControl" Src="../UserControls/ReportListControl.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<script type="text/javascript">
	function OpenWebPrint(uid, startDate, endDate, filterId, filterLanguage, reportLanguage)
	{
		var printScreen = window.open('webreportprint.aspx?reportid=' + uid + '&startdate=' + startDate + '&enddate=' + endDate + '&filterid=' + filterId + '&filterlanguage=' + filterLanguage + '&reportlanguage=' + reportLanguage, 
			'webprint', 'width=800,height=600,toolbars=1, scrollbars=1, menubar=1,resizable=1');

		if (printScreen) 
		{
			printScreen.focus()
		}

		return false;
	}


	function OpenRespondentWebPrint() {
		var printScreen = window.open('webrespondentprint.aspx?surveyid=<%=SurveyId%>');
		if (printScreen) 
		{
			printScreen.focus()
		}

		return false;
	}
</script>


<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Report_printer.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="ReportPrinterTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
<Triggers>

<asp:PostBackTrigger ControlID="ReportWordGenerationButton" />
<asp:PostBackTrigger ControlID="RespondentFilesExportButton" />

</Triggers>

<ContentTemplate>

<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">
				<table>
					<tr>
						<tr>
							<td nowrap class="labelStyle" valign="middle"">
								<asp:Literal ID="ReportLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
							</td>
							<td width="99%">
								<asp:DropDownList ID="ReportsDropDownList" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ReportsDropDownList_SelectedIndexChanged">
								</asp:DropDownList>
							</td>
						</tr>
						<asp:PlaceHolder ID="FilterPlaceHolder" Visible="false" runat="server">
							<tr>
								<td nowrap class="labelStyle" valign="middle"">
									<asp:Literal ID="DateStartFilterLiteral" runat="server" EnableViewState="False" Text="Start date"></asp:Literal>
								</td>
								<td nowrap="nowrap" width="99%">
									<asp:TextBox ID="StartDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
										ID="ShowStartDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
									</asp:ImageButton>
									<ajaxToolkit:CalendarExtender ID="CalendarExtender1" runat="server" PopupButtonID="ShowStartDateImageButton"
										TargetControlID="StartDateTextBox" />
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle" valign="middle">
									<asp:Literal ID="FilterEndDateLabel" runat="server" EnableViewState="False" Text="End date"></asp:Literal>
								</td>
								<td nowrap="nowrap">
									<asp:TextBox ID="EndDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
										ID="ShowEndDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
									</asp:ImageButton>
									<ajaxToolkit:CalendarExtender ID="CalendarExtender2" runat="server" PopupButtonID="ShowEndDateImageButton"
										TargetControlID="EndDateTextBox" />
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle" valign="middle">
									<asp:Literal ID="ReportItemFilterLabel" runat="server" EnableViewState="False" Text="Filter"></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="FilterDropDownList" runat="server">
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="LanguageFilterLabel" runat="server"></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="LanguagesDropdownlist" runat="server">
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="ReportLanguageLabel" runat="server"></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="ReportLanguageDropdownlist" runat="server">
									</asp:DropDownList>
								</td>
							</tr>

			</td>
		</tr>
		</asp:PlaceHolder>
		<tr>
			<td colspan="2">
				<br />
				<asp:Button ID="ReportWordGenerationButton" runat="server" Text="Export to Word"
					OnClick="ReportWordGenerationButton_Click" />
				<asp:Button ID="ReportWebGenerationButton" runat="server"/>
			</td>
		</tr>
	</table>
	</td></tr></table><br />
	<br />
	<br />
	<table class="adminTitle">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Reports/Report_printer.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a>
			</td>
			<td width="99%">
				<asp:Literal ID="VoterReportPrintTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
			</td>
		</tr>
	</table>
	<table>
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">
				<br />
				<br />
				<asp:Button ID="RespondentFilesExportButton" runat="server" Text="Word document export"
					OnClick="RespondentFilesExportButton_Click" />
				<asp:Button ID="RespondentWebReportButton" runat="server"/>
			</td>
		</tr>
	</table>
</ContentTemplate></asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

