<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="../UserControls/ConditionRulesDisplay.ascx" %>
<%@ Control Language="c#" Codebehind="SkipQuestionConditionsEditor.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.SkipQuestionConditionsEditor" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="../UserControls/ConditionRulesEditor.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:PlaceHolder ID="SkipQuestionPlaceholderTitle" runat="server">
	<table cellspacing="0" cellpadding="0" width="100%" border="0">
		<tr>
			<td class="sectioneCell">
				<a href="help/FeedbackServer.htm#Conditions/Skip_logic.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%" class="sectioneCell">
				<asp:Literal ID="SkipLogicConditionTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
		</tr>
	</table>
</asp:PlaceHolder>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;</td>
		<td width="99%">
			<table width="100%">
				<tr>
					<td>
						<asp:LinkButton ID="AddSkipLogicConditionLinkButton" runat="server" OnClick="AddSkipLogicConditionLinkButton_Click">Click here to add a new skip logic condition</asp:LinkButton><br />
						<asp:HyperLink ID="GoBackHyperLink" runat="server">HyperLink</asp:HyperLink><asp:Repeater ID="ConditionRepeater"
								runat="server">
								<ItemTemplate>
									<table class="conditionBuilder">
										<tr>
											<td>
												<table width="100%">
													<tr>
														<td>
															<table class="skipMatrixQuestionConditionList" cellpadding="2">
																<tr>
																	<td colspan="2">
																		<table width="100%" class="skipMatrixQuestionConditionOptions">
																			<tr>
																				<td>
																					<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																						ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																						CommandName="MoveUp" runat="server"></asp:ImageButton>
																					<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != SkipQuestionConditionsCount%>'
																						ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																						CommandName="MoveDown" runat="server"></asp:ImageButton></td>
																				<td valign="top">
																						<%#GetPageResource("IfSkipConditionsMetLabel")%>
																					<td align="right">
																						<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																							runat="server">
																											<%#GetPageResource("EditConditionHyperLink")%>
																						</asp:LinkButton>&nbsp;|&nbsp;
																						<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipQuestionConditionId")%>'
																							runat="server">
																											<%#GetPageResource("DeleteConditionsHyperLink")%>
																						</asp:LinkButton>&nbsp;|&nbsp;
																						<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																							runat="server">
																											<%#GetPageResource("InsertConditionsHyperLink")%>
																						</asp:LinkButton></td>
																			</tr>
																		</table>
																	</td>
																</tr>
																<tr>
																	<td>
																		&nbsp;&nbsp;</td>
																	<td width="99%">
																		<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																		<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
									<br>
								</ItemTemplate>
							</asp:Repeater>
					</td>
				</tr>
			</table>
			<tr>
				<td colspan="2">
					<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" runat="server" Visible="false">
					</uc1:ConditionRulesEditor>
				</td>
			</tr>
		</td>
	</tr>
</table>
</ContentTemplate></asp:UpdatePanel>

			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
