<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls"
	Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Control Language="c#" Codebehind="TakeSurvey.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.TakeSurvey" %>

<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<style type="text/css">
		.fsCalendarStyle
		{
			background-color: #FFFFFF;
			border : solid 1px #00000;
			z-index : 100;
			position:relative;
			font-family : Arial;
			font-size : x-small;
		}
		
		.calendarStyle .ajax__calendar_container
		{
			border: 1px solid #646464;
			background-color: #ffffff;
			color: #000000;
		}
		.calendarStyle .ajax__calendar_footer
		{
			border-top: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_dayname
		{
			border-bottom: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_day
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_month
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_year
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_day
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_year
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_title
		{
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_today
		{
			color: #0066cc;
		}
		.textboxWatermark
		{
			background-color: #ccddff;
			color: #558899;
		}
		
		.fsFormBuildTable
		{
			font-family : Arial;
			font-size : 14px;
		}
		
	</style>
	

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Deployment/Take_survey.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="TakeSurveyTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<br />
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
		    <asp:PlaceHolder ID="StandardSurveyPlaceHolder" runat="server">
						<vts:SurveyBox ID="Survey" runat="server"/>
			</asp:PlaceHolder>
			<asp:PlaceHolder ID="RichSurveyPlaceHolder" runat="server">
				<asp:UpdatePanel ID="FSUpdatePanel" runat="server" UpdateMode="Conditional">
					<ContentTemplate>
            				<vts:SurveyBox ID="RichSurvey" runat="server"/>
					</ContentTemplate>
				</asp:UpdatePanel>
			</asp:PlaceHolder>

</td></tr></table>
