<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls"
	Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<%@ Page Language="c#" ValidateRequest="false" CodeBehind="FSPreview.aspx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.FSPreview" Trace="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head id="head" runat="server">
	<title>Online Survey</title>
	<style type="text/css">
		.constantSumReached
		{
			color: green;
		}
		.constantSumNotReached
		{
			color: red;
		}
		.constantSumTotal
		{
		}
		.smallText
		{
			font-family: Arial, Verdana, sans-serif;
			font-size: xx-small;
		}
		.fsCalendarStyle
		{
			background-color: #FFFFFF;
			border: solid 1px #00000;
			z-index: 100;
			position: relative;
			font-family: Arial;
			font-size: x-small;
		}
		.calendarStyle .ajax__calendar_container
		{
			border: 1px solid #646464;
			background-color: #ffffff;
			color: #000000;
		}
		.calendarStyle .ajax__calendar_footer
		{
			border-top: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_dayname
		{
			border-bottom: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_day
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_month
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_year
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_day
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_year
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_title
		{
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_today
		{
			color: #0066cc;
		}
		.textboxWatermark
		{
			background-color: #ccddff;
			color: #558899;
		}
		.fsFormBuildTable
		{
			font-family: Arial;
			font-size: 14px;
		}
		
		.formPageHeader 
		{
			background-image:url('images/breakbackground.gif');
			width:100%;
			font-weight: bold;
			color : #333333;
			font-size: 0.8em;
			font-family:Arial;
		}
		
	</style>

	<script type="text/javascript" src="scripts/build/yho/yho-min.js"></script>
	<script type="text/javascript" src="scripts/build/utilities/utilities.js"></script>
	<script type="text/javascript" src="scripts/build/yahoo-dom-event/yahoo-dom-event.js"></script>

	<script type="text/javascript">
		pagequitcheck = false;


		function resizeFrameasync() 
		{
			var iFrame = parent.document.getElementById('FSPreview')

			if (iFrame && iFrame.contentDocument && iFrame.contentDocument.height) // firefox 
			{
				// Firefox doesnt paint content of iframes of height bigger than 32768
				if (document.body.scrollHeight >= 32768) {
					// Activate autoscroll feature in that case
					iFrame.style.height = "768px";
					iFrame.scrolling = "yes";
					iFrame.style.width = document.body.scrollWidth + 20 + "px";
					iFrame.style.display = "block"
				}
				else {
					iFrame.scrolling = "no";
					iFrame.style.height = document.body.scrollHeight + "px";
				}
			}
			else if (iFrame) {
				if (document.body.scrollHeight < 600) {
					iFrame.style.height = "600px";
				}
				else {
					iFrame.style.height = document.body.clientHeight + "px";
				}

			}
		}

		function resizeFrame() {
			var iFrame = parent.document.getElementById('FSPreview')
			if (iFrame) {
				iFrame.style.width = "100%";
				iFrame.style.display = "block"
			}

			if (iFrame && iFrame.contentDocument && iFrame.contentDocument.height) // firefox 
			{
				// Firefox doesnt paint content of iframes of height bigger than 32768
				if (document.body.scrollHeight >= 32768) {
					// Activate autoscroll feature in that case
					iFrame.style.height = "768px";
					iFrame.scrolling = "yes";
					iFrame.style.width = document.body.scrollWidth + 20 + "px";
					iFrame.style.display = "block"
				}
				else {
					iFrame.scrolling = "no";
					iFrame.style.height = document.body.scrollHeight + "px";
				}
			}
			else if (iFrame) {
				if (document.body.scrollHeight < 600) {
					iFrame.style.height = "600px";
				}
				else {
					iFrame.style.height = document.body.clientHeight + "px";
				}

			}

			parent.document.getElementById('loadingImage').style.display = "none";
		}

		YAHOO.util.Event.onDOMReady(function() {
			resizeFrame();
		});

		pagequitcheck = false;

	</script>

</head>
<body>
	<form runat="server" id="Form1">
	<ajaxToolkit:ToolkitScriptManager runat="Server" EnableScriptGlobalization="true"
		EnableScriptLocalization="true" ID="FSScriptManager" ScriptMode="Release" CombineScripts="false" />
	<asp:UpdatePanel ID="FSUpdatePanel" runat="server" UpdateMode="Conditional">
		<ContentTemplate>
			<vts:SurveyBox ID="RichSurvey" runat="server" EnableValidation="true" />
<script type="text/javascript">
	resizeFrame();
</script>
		</ContentTemplate>
	</asp:UpdatePanel>
	</form>


</body>
</html>
