<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="ConditionRulesDisplay.ascx" %>
<%@ Control Language="c#" Codebehind="BranchingConditions.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.BranchingConditions" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="ConditionRulesEditor.ascx" %>
<asp:UpdatePanel runat="server"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
						<asp:LinkButton ID="AddBranchingConditionLinkButton" CssClass="smallText" 
						runat="server" onclick="AddBranchingConditionLinkButton_Click">Click here to add a new branching condition</asp:LinkButton><asp:Repeater
							ID="BranchingConditionRepeater" runat="server">
							<ItemTemplate>
								<table class="conditionBuilder">
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td>
														<table class="branchingConditionList" cellpadding="2">
															<tr>
																<td colspan="2">
																	<table width="100%" class="branchingConditionOptions">
																		<tr>
																			<td nowrap>
																				<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																					ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "BranchingConditionId")%>'
																					CommandName="MoveUp" runat="server"></asp:ImageButton>
																				<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != BranchingConditionsCount%>'
																					ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "BranchingConditionId")%>'
																					CommandName="MoveDown" runat="server"></asp:ImageButton></td>
																			<td valign="top" nowrap>
																					<%#GetPageResource("IfConditionsMetLabel")%>
																					<asp:DropDownList ID="TargetPageDropDownList" OnSelectedIndexChanged="TargetChanged"
																						AutoPostBack="True" Font-Size="xx-small" runat="server">
																					</asp:DropDownList></font></td>
																			<td align="right" width="99%">
																					<asp:PlaceHolder ID="EditConditionPlaceholder" runat="server">
																				<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																					runat="server">
																									<%#GetPageResource("EditConditionHyperLink")%>
																				</asp:LinkButton>&nbsp;|&nbsp;
																				<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "BranchingConditionId")%>'
																					runat="server">
																									<%#GetPageResource("DeleteConditionsHyperLink")%>
																				</asp:LinkButton>&nbsp;|&nbsp;
																				<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																					runat="server">
																									<%#GetPageResource("InsertConditionsHyperLink")%>
																				</asp:LinkButton>
																					</asp:PlaceHolder>
																						<asp:PlaceHolder ID="EditRulesPlaceholder"  runat="server" Visible="false">
																						<asp:LinkButton ID="CancelEditLinkButton" CommandName="CancelEdit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>' runat="server"><%#GetPageResource("CancelRuleLinkButton")%>
																						</asp:LinkButton>
																						</asp:PlaceHolder>
																				</td>
																		</tr>
																	</table>
																</td>
													</td>
												</tr>
												<tr>
													<td>
														&nbsp;&nbsp;</td>
													<td width="99%">
														<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
														<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
					<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server" Visible="false">
					</uc1:ConditionRulesEditor>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								</td> </tr> </table>
								<br>
							</ItemTemplate>
						</asp:Repeater>
</ContentTemplate></asp:UpdatePanel>