<%@ Control Language="c#" CodeBehind="EmailCampaignEditor.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EmailCampaignEditor" %>
<%@ Register src="../RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>

<asp:ValidationSummary ID="CompletionValidationSummary" runat="server" ShowSummary=false ShowMessageBox="true" ValidationGroup="MessageValidation" />

<table width="100%">
	<tr id="MailingDropDownListRow" runat="server">
		<td nowrap class="labelStyle">
			<asp:Literal ID="ChooseMailingTemplateLabel" runat="server" EnableViewState="False">Choose mailing template :</asp:Literal>
		</td>
		<td width="99%">
			<asp:DropDownList ID="MailingTemplatesDropDownList" OnSelectedIndexChanged="MailingTemplatesDropDownList_SelectedIndexChanged" runat="server" AutoPostBack="True">
			</asp:DropDownList>
			&nbsp;
		</td>
	</tr>
				<tr id="TemplateTitleRow" visible="false" runat="server">
					<td nowrap class="labelStyle">						
							<asp:Literal ID="TemplateTitleLabel" runat="server" Text="Template title"></asp:Literal></td>
					<td>
						<asp:TextBox ID="TemplateTitleTextbox" Columns="40" runat="server" ></asp:TextBox>
					<asp:RequiredFieldValidator ValidationGroup="MessageValidation" ID="TemplateTitleRequiredFieldValidator" runat="server" ControlToValidate="TemplateTitleTextbox" SetFocusOnError="True">*</asp:RequiredFieldValidator>
						</td>
				</tr>
				<tr id="PublicTemplateRow" visible="false" runat="server">
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="PublicTemplateLabel" runat="server" Text="Public template"></asp:Literal></td>
					<td width="99%">
						<asp:CheckBox ID="PublicTemplateCheckBox" runat="server"></asp:CheckBox></td>
				</tr>

	<tr>
		<td nowrap class="labelStyle">
			<asp:Literal ID="FromLabel" runat="server" EnableViewState="False">From :</asp:Literal>
		</td>
		<td>
			<asp:TextBox ID="FromTextBox" runat="server" Columns="40">youremail@yourdomain.com</asp:TextBox>
			<asp:RequiredFieldValidator ValidationGroup="MessageValidation" ID="FromTextBoxValidator" runat="server" ControlToValidate="FromTextBox" SetFocusOnError="True">*</asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr>
		<td nowrap class="labelStyle">
			<asp:Literal ID="FromNameLabel" runat="server" EnableViewState="False">From name:</asp:Literal>
		</td>
		<td width="99%">
			<asp:TextBox ID="FromNameTextbox" runat="server" Columns="40">LastName FirstName</asp:TextBox>
		</td>
	</tr>
	<tr>
		<td nowrap class="labelStyle">
			<asp:Literal ID="SubjectLabel" runat="server" EnableViewState="False">Subject :</asp:Literal>
		</td>
		<td>
			<asp:TextBox ID="SubjectTextBox" runat="server" Columns="40">Please take part in my survey</asp:TextBox>
		</td>
	</tr>
	<tr>
		<td nowrap class="labelStyle">
			<asp:Literal ID="ContentTypeLabel" runat="server" EnableViewState="False">Content type :</asp:Literal>
		</td>
		<td>
			<asp:DropDownList ID="ContentTypeDropDownList" runat="server" AutoPostBack="True"
				OnSelectedIndexChanged="ContentTypeDropDownList_SelectedIndexChanged">
			</asp:DropDownList>
		</td>
	</tr>
	<tr>
		<td colspan="2" nowrap class="labelStyle">
			<table><tr><td valign="top">
			<asp:TextBox ID="InvitationMessageTextBox" runat="server" TextMode="MultiLine" Rows="21" Columns="60"></asp:TextBox>
			<uc1:RichTextBox ID="InvitationMessageFreeTextBox" runat="server" Visible="false"
				Height="350" Width="550">
			</uc1:RichTextBox>
			
			</td>
			<td valign="top" id="TagCell" runat="server">
			<div style="height:15px;background-color:#dfdfdf;font-size:0.8em;border-left:solid 1px #aaaaaa;border-right:solid 1px #aaaaaa;border-top:solid 1px #aaaaaa;"><asp:Label ID="MessageTagsLabel" runat="server"></asp:Label></div>
			<div style="height:330px; width:150px; background-color:#efefef;overflow:auto; border:solid 1px #aaaaaa;font-size:0.8em">	
				<asp:Repeater ID="TagsRepeater" runat="server">
				<ItemTemplate>
				<div onmouseover="this.style.backgroundColor='#ffffff'" onclick="if (document.getElementById('<%=InvitationMessageTextBox.ClientID %>') == null){FCKeditorAPI.GetInstance('<%=InvitationMessageFreeTextBox.RichTextBoxClientId%>').InsertHtml('<%#Eval("value").ToString().Replace("'","''")%>')}else{insertText(document.getElementById('<%=InvitationMessageTextBox.ClientID %>'),'<%#Eval("value").ToString().Replace("'","''") %>');}" style="width:100%;cursor:pointer" onmouseout="this.style.backgroundColor='#efefef'"><%#DataIllusion.FeedbackServer.Helpers.XSSHelper.HtmlEncode(Eval("key").ToString()) %>
				</div>
  				</ItemTemplate>			
				</asp:Repeater>
			</div>
			
			</td>
			
			</tr></table>
		</td>
	</tr>
</table>